/* Generated by re2c 1.1.1 on Thu Sep 17 09:02:41 2020 */
#line 1 "tokenizer.re"
#include <limits>

#include "tokenizer.h"
#include "parser.tab.hh"

namespace LFortran
{

void Tokenizer::set_string(const std::string &str)
{
    // The input string must be NULL terminated, otherwise the tokenizer will
    // not detect the end of string. After C++11, the std::string is guaranteed
    // to end with \0, but we check this here just in case.
    LFORTRAN_ASSERT(str[str.size()] == '\0');
    cur = (unsigned char *)(&str[0]);
    cur_line = cur;
    line_num = 1;
}

template<int base>
bool adddgt(unsigned long &u, unsigned long d)
{
    if (u > (std::numeric_limits<unsigned long>::max() - d) / base) {
        return false;
    }
    u = u * base + d;
    return true;
}

bool lex_dec(const unsigned char *s, const unsigned char *e, unsigned long &u)
{
    for (u = 0; s < e; ++s) {
        if (!adddgt<10>(u, *s - 0x30u)) {
            return false;
        }
    }
    return true;
}

#define KW(x) token(yylval.string); RET(KW_##x);
#define RET(x) token_loc(loc); return yytokentype::x;

int Tokenizer::lex(YYSTYPE &yylval, Location &loc)
{
	unsigned long u;
    for (;;) {
        tok = cur;
        /*
        Re2c has an excellent documentation at:

        https://re2c.org/manual/manual_c.html

        The first paragraph there explains the basics:

        * If multiple rules match, the longest match takes precedence
        * If multiple rules match the same string, the earlier rule takes
          precedence
        * Default rule `*` should always be defined, it has the lowest priority
          regardless of its place and matches any code unit

        See the manual for more details.
        */
        
#line 67 "tokenizer.cpp"
{
	unsigned char yych;
	unsigned int yyaccept = 0;
	static const unsigned char yybm[] = {
		/* table 1 .. 8: 0 */
		  0,   2,   2,   2,   2,   2,   2,   2, 
		  2,   3,   3,   3,   2,   3,   2,   2, 
		  2,   2,   2,   2,   2,   2,   2,   2, 
		  2,   2,   2,   2,   2,   2,   2,   2, 
		  3,   2,   2,   2,   2,   2,   2,   0, 
		  2,   2,   2,   2,   2,   2,   2,   2, 
		242, 242, 210, 210, 210, 210, 210, 210, 
		146, 146,   2,   2,   2,   2,   2,   2, 
		  2,  18,  18,  18,  18,  18,  18,  18, 
		 18,  18,  18,  18,  18,  18,  18,  18, 
		 18,  18,  18,  18,  18,  18,  18,  18, 
		 18,  18,  18,   2,   2,   2,   2,  26, 
		  2, 150, 150, 150, 150, 150, 150,  22, 
		 22,  22,  22,  22,  22,  22,  22,  22, 
		 22,  22,  22,  22,  22,  22,  22,  22, 
		 22,  22,  22,   2,   2,   2,   2,   2, 
		  2,   2,   2,   2,   2,   2,   2,   2, 
		  2,   2,   2,   2,   2,   2,   2,   2, 
		  2,   2,   2,   2,   2,   2,   2,   2, 
		  2,   2,   2,   2,   2,   2,   2,   2, 
		  2,   2,   2,   2,   2,   2,   2,   2, 
		  2,   2,   2,   2,   2,   2,   2,   2, 
		  2,   2,   2,   2,   2,   2,   2,   2, 
		  2,   2,   2,   2,   2,   2,   2,   2, 
		  2,   2,   2,   2,   2,   2,   2,   2, 
		  2,   2,   2,   2,   2,   2,   2,   2, 
		  2,   2,   2,   2,   2,   2,   2,   2, 
		  2,   2,   2,   2,   2,   2,   2,   2, 
		  2,   2,   2,   2,   2,   2,   2,   2, 
		  2,   2,   2,   2,   2,   2,   2,   2, 
		  2,   2,   2,   2,   2,   2,   2,   2, 
		  2,   2,   2,   2,   2,   2,   2,   2, 
		/* table 9 .. 13: 256 */
		  0, 192, 192, 192, 192, 192, 192, 192, 
		192, 200, 128, 200, 192, 200, 192, 192, 
		192, 192, 192, 192, 192, 192, 192, 192, 
		192, 192, 192, 192, 192, 192, 192, 192, 
		200, 192,  64, 192, 192, 192, 192, 192, 
		192, 192, 192, 192, 192, 192, 192, 192, 
		240, 240, 240, 240, 240, 240, 240, 240, 
		240, 240, 192, 192, 192, 192, 192, 192, 
		192, 224, 224, 224, 224, 224, 224, 224, 
		224, 224, 224, 224, 224, 224, 224, 224, 
		224, 224, 224, 224, 224, 224, 224, 224, 
		224, 224, 224, 192, 192, 192, 192, 192, 
		192, 224, 224, 224, 224, 224, 224, 224, 
		224, 224, 224, 224, 224, 224, 224, 224, 
		224, 224, 224, 224, 224, 224, 224, 224, 
		224, 224, 224, 192, 192, 192, 192, 192, 
		192, 192, 192, 192, 192, 192, 192, 192, 
		192, 192, 192, 192, 192, 192, 192, 192, 
		192, 192, 192, 192, 192, 192, 192, 192, 
		192, 192, 192, 192, 192, 192, 192, 192, 
		192, 192, 192, 192, 192, 192, 192, 192, 
		192, 192, 192, 192, 192, 192, 192, 192, 
		192, 192, 192, 192, 192, 192, 192, 192, 
		192, 192, 192, 192, 192, 192, 192, 192, 
		192, 192, 192, 192, 192, 192, 192, 192, 
		192, 192, 192, 192, 192, 192, 192, 192, 
		192, 192, 192, 192, 192, 192, 192, 192, 
		192, 192, 192, 192, 192, 192, 192, 192, 
		192, 192, 192, 192, 192, 192, 192, 192, 
		192, 192, 192, 192, 192, 192, 192, 192, 
		192, 192, 192, 192, 192, 192, 192, 192, 
		192, 192, 192, 192, 192, 192, 192, 192, 
	};
	yych = *cur;
	if (yybm[256+yych] & 8) {
		goto yy6;
	}
	switch (yych) {
	case 0x00:	goto yy2;
	case '\t':
	case '\n':	goto yy9;
	case ' ':
	case '!':	goto yy11;
	case '"':	goto yy12;
	case '#':	goto yy13;
	case '%':	goto yy14;
	case '&':	goto yy16;
	case '\'':	goto yy17;
	case '(':	goto yy18;
	case ')':	goto yy20;
	case '*':	goto yy22;
	case '+':	goto yy24;
	case ',':	goto yy26;
	case '-':	goto yy28;
	case '.':	goto yy30;
	case '/':	goto yy31;
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy33;
	case ':':	goto yy36;
	case ';':	goto yy38;
	case '<':	goto yy40;
	case '=':	goto yy42;
	case '>':	goto yy44;
	case 'A':
	case 'a':	goto yy46;
	case 'B':
	case 'b':	goto yy48;
	case 'C':
	case 'c':	goto yy49;
	case 'D':
	case 'd':	goto yy50;
	case 'E':
	case 'e':	goto yy51;
	case 'F':
	case 'f':	goto yy52;
	case 'G':
	case 'g':	goto yy53;
	case 'H':
	case 'J':
	case 'X':
	case 'Y':
	case '_':
	case 'h':
	case 'j':
	case 'x':
	case 'y':	goto yy54;
	case 'I':
	case 'i':	goto yy56;
	case 'K':
	case 'k':	goto yy57;
	case 'L':
	case 'l':	goto yy58;
	case 'M':
	case 'm':	goto yy59;
	case 'N':
	case 'n':	goto yy60;
	case 'O':
	case 'o':	goto yy61;
	case 'P':
	case 'p':	goto yy62;
	case 'Q':
	case 'q':	goto yy63;
	case 'R':
	case 'r':	goto yy64;
	case 'S':
	case 's':	goto yy65;
	case 'T':
	case 't':	goto yy66;
	case 'U':
	case 'u':	goto yy67;
	case 'V':
	case 'v':	goto yy68;
	case 'W':
	case 'w':	goto yy69;
	case 'Z':
	case 'z':	goto yy70;
	case '[':	goto yy71;
	case ']':	goto yy73;
	case '|':	goto yy75;
	default:	goto yy4;
	}
yy2:
	++cur;
#line 92 "tokenizer.re"
	{ RET(END_OF_FILE); }
#line 239 "tokenizer.cpp"
yy4:
	++cur;
yy5:
#line 87 "tokenizer.re"
	{ token_loc(loc);
                std::string t = token();
                throw LFortran::TokenizerError("token '" + t
                    + "' is not recognized", loc, t);
            }
#line 249 "tokenizer.cpp"
yy6:
	yych = *++cur;
	if (yybm[256+yych] & 8) {
		goto yy6;
	}
#line 93 "tokenizer.re"
	{ continue; }
#line 257 "tokenizer.cpp"
yy9:
	++cur;
#line 239 "tokenizer.re"
	{
                    token_loc(loc); line_num++; cur_line=cur;
                    return yytokentype::TK_NEWLINE;
            }
#line 265 "tokenizer.cpp"
yy11:
	yyaccept = 0;
	yych = *(mar = ++cur);
	if (yych <= 0x00) goto yy5;
	goto yy78;
yy12:
	yyaccept = 0;
	yych = *(mar = ++cur);
	if (yych <= 0x00) goto yy5;
	goto yy83;
yy13:
	yyaccept = 0;
	yych = *(mar = ++cur);
	if (yych <= 0x00) goto yy5;
	goto yy87;
yy14:
	++cur;
#line 261 "tokenizer.re"
	{ RET(TK_PERCENT) }
#line 285 "tokenizer.cpp"
yy16:
	yyaccept = 0;
	yych = *(mar = ++cur);
	if (yych <= '\f') {
		if (yych <= 0x08) goto yy5;
		if (yych <= '\v') goto yy91;
		goto yy5;
	} else {
		if (yych <= '\r') goto yy91;
		if (yych <= 0x1F) goto yy5;
		if (yych <= '!') goto yy91;
		goto yy5;
	}
yy17:
	yyaccept = 0;
	yych = *(mar = ++cur);
	if (yych <= 0x00) goto yy5;
	goto yy98;
yy18:
	yych = *++cur;
	if (yych == '/') {
		ctxmar = cur;
		goto yy101;
	}
#line 245 "tokenizer.re"
	{ RET(TK_LPAREN) }
#line 312 "tokenizer.cpp"
yy20:
	++cur;
#line 251 "tokenizer.re"
	{ RET(TK_RPAREN) }
#line 317 "tokenizer.cpp"
yy22:
	yych = *++cur;
	if (yych == '*') goto yy102;
#line 263 "tokenizer.re"
	{ RET(TK_STAR) }
#line 323 "tokenizer.cpp"
yy24:
	++cur;
#line 255 "tokenizer.re"
	{ RET(TK_PLUS) }
#line 328 "tokenizer.cpp"
yy26:
	++cur;
#line 262 "tokenizer.re"
	{ RET(TK_COMMA) }
#line 333 "tokenizer.cpp"
yy28:
	++cur;
#line 256 "tokenizer.re"
	{ RET(TK_MINUS) }
#line 338 "tokenizer.cpp"
yy30:
	yyaccept = 0;
	yych = *(mar = ++cur);
	switch (yych) {
	case '.':	goto yy104;
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy106;
	case 'A':	goto yy109;
	case 'E':	goto yy110;
	case 'F':	goto yy111;
	case 'G':	goto yy112;
	case 'L':	goto yy113;
	case 'N':	goto yy114;
	case 'O':	goto yy115;
	case 'T':	goto yy116;
	case 'a':	goto yy117;
	case 'b':
	case 'c':
	case 'd':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'm':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':	goto yy118;
	case 'e':	goto yy120;
	case 'f':	goto yy121;
	case 'g':	goto yy122;
	case 'l':	goto yy123;
	case 'n':	goto yy124;
	case 'o':	goto yy125;
	case 't':	goto yy126;
	default:	goto yy5;
	}
yy31:
	yych = *++cur;
	if (yych <= '.') {
		if (yych == ')') goto yy127;
	} else {
		if (yych <= '/') goto yy129;
		if (yych == '=') goto yy131;
	}
#line 260 "tokenizer.re"
	{ RET(TK_SLASH) }
#line 400 "tokenizer.cpp"
yy33:
	yyaccept = 1;
	yych = *(mar = ++cur);
	if (yybm[256+yych] & 16) {
		goto yy33;
	}
	if (yych <= 'E') {
		if (yych == '.') {
			ctxmar = cur;
			goto yy133;
		}
		if (yych >= 'D') goto yy134;
	} else {
		if (yych <= '_') {
			if (yych >= '_') goto yy135;
		} else {
			if (yych <= 'c') goto yy35;
			if (yych <= 'e') goto yy134;
		}
	}
yy35:
#line 312 "tokenizer.re"
	{
                if (lex_dec(tok, cur, u)) {
                    yylval.n = u;
                    RET(TK_INTEGER)
                } else {
                    token_loc(loc);
                    std::string t = token();
                    throw LFortran::TokenizerError("Integer too large",
                        loc, t);
                }
            }
#line 434 "tokenizer.cpp"
yy36:
	yych = *++cur;
	if (yych == ':') goto yy136;
#line 258 "tokenizer.re"
	{ RET(TK_COLON) }
#line 440 "tokenizer.cpp"
yy38:
	++cur;
#line 259 "tokenizer.re"
	{ RET(TK_SEMICOLON) }
#line 445 "tokenizer.cpp"
yy40:
	yych = *++cur;
	if (yych == '=') goto yy138;
yy41:
#line 276 "tokenizer.re"
	{ RET(TK_LT) }
#line 452 "tokenizer.cpp"
yy42:
	yych = *++cur;
	if (yych <= '<') goto yy43;
	if (yych <= '=') goto yy140;
	if (yych <= '>') goto yy142;
yy43:
#line 257 "tokenizer.re"
	{ RET(TK_EQUAL) }
#line 461 "tokenizer.cpp"
yy44:
	yych = *++cur;
	if (yych == '=') goto yy144;
yy45:
#line 278 "tokenizer.re"
	{ RET(TK_GT) }
#line 468 "tokenizer.cpp"
yy46:
	yych = *++cur;
	if (yych <= 'S') {
		if (yych <= 'K') {
			if (yych == 'B') goto yy146;
			goto yy55;
		} else {
			if (yych <= 'L') goto yy147;
			if (yych <= 'R') goto yy55;
			goto yy148;
		}
	} else {
		if (yych <= 'k') {
			if (yych == 'b') goto yy146;
			goto yy55;
		} else {
			if (yych <= 'l') goto yy147;
			if (yych == 's') goto yy148;
			goto yy55;
		}
	}
yy47:
#line 348 "tokenizer.re"
	{ token(yylval.string); RET(TK_NAME) }
#line 493 "tokenizer.cpp"
yy48:
	yyaccept = 2;
	yych = *(mar = ++cur);
	if (yych <= 'I') {
		if (yych <= '\'') {
			if (yych == '"') goto yy151;
			if (yych <= '&') goto yy55;
			goto yy152;
		} else {
			if (yych == 'A') goto yy153;
			if (yych <= 'H') goto yy55;
			goto yy154;
		}
	} else {
		if (yych <= 'a') {
			if (yych == 'L') goto yy155;
			if (yych <= '`') goto yy55;
			goto yy153;
		} else {
			if (yych <= 'i') {
				if (yych <= 'h') goto yy55;
				goto yy154;
			} else {
				if (yych == 'l') goto yy155;
				goto yy55;
			}
		}
	}
yy49:
	yych = *++cur;
	switch (yych) {
	case 'A':
	case 'a':	goto yy156;
	case 'H':
	case 'h':	goto yy157;
	case 'L':
	case 'l':	goto yy158;
	case 'O':
	case 'o':	goto yy159;
	case 'R':
	case 'r':	goto yy160;
	case 'Y':
	case 'y':	goto yy161;
	default:	goto yy55;
	}
yy50:
	yych = *++cur;
	if (yych <= 'O') {
		if (yych <= 'E') {
			if (yych == 'A') goto yy162;
			if (yych <= 'D') goto yy55;
			goto yy163;
		} else {
			if (yych == 'I') goto yy164;
			if (yych <= 'N') goto yy55;
			goto yy165;
		}
	} else {
		if (yych <= 'e') {
			if (yych == 'a') goto yy162;
			if (yych <= 'd') goto yy55;
			goto yy163;
		} else {
			if (yych <= 'i') {
				if (yych <= 'h') goto yy55;
				goto yy164;
			} else {
				if (yych == 'o') goto yy165;
				goto yy55;
			}
		}
	}
yy51:
	yych = *++cur;
	switch (yych) {
	case 'L':
	case 'l':	goto yy167;
	case 'N':
	case 'n':	goto yy168;
	case 'Q':
	case 'q':	goto yy169;
	case 'R':
	case 'r':	goto yy170;
	case 'X':
	case 'x':	goto yy171;
	default:	goto yy55;
	}
yy52:
	yych = *++cur;
	switch (yych) {
	case 'I':
	case 'i':	goto yy172;
	case 'L':
	case 'l':	goto yy173;
	case 'O':
	case 'o':	goto yy174;
	case 'U':
	case 'u':	goto yy175;
	default:	goto yy55;
	}
yy53:
	yych = *++cur;
	if (yych <= 'O') {
		if (yych == 'E') goto yy176;
		if (yych <= 'N') goto yy55;
		goto yy177;
	} else {
		if (yych <= 'e') {
			if (yych <= 'd') goto yy55;
			goto yy176;
		} else {
			if (yych == 'o') goto yy177;
			goto yy55;
		}
	}
yy54:
	yych = *++cur;
yy55:
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
	goto yy47;
yy56:
	yych = *++cur;
	if (yych <= 'S') {
		if (yych <= 'L') {
			if (yych == 'F') goto yy179;
			goto yy55;
		} else {
			if (yych <= 'M') goto yy181;
			if (yych <= 'N') goto yy182;
			if (yych <= 'R') goto yy55;
			goto yy184;
		}
	} else {
		if (yych <= 'm') {
			if (yych == 'f') goto yy179;
			if (yych <= 'l') goto yy55;
			goto yy181;
		} else {
			if (yych <= 'n') goto yy182;
			if (yych == 's') goto yy184;
			goto yy55;
		}
	}
yy57:
	yych = *++cur;
	if (yych == 'I') goto yy186;
	if (yych == 'i') goto yy186;
	goto yy55;
yy58:
	yych = *++cur;
	if (yych <= 'O') {
		if (yych == 'E') goto yy187;
		if (yych <= 'N') goto yy55;
		goto yy188;
	} else {
		if (yych <= 'e') {
			if (yych <= 'd') goto yy55;
			goto yy187;
		} else {
			if (yych == 'o') goto yy188;
			goto yy55;
		}
	}
yy59:
	yych = *++cur;
	if (yych == 'O') goto yy189;
	if (yych == 'o') goto yy189;
	goto yy55;
yy60:
	yych = *++cur;
	if (yych <= 'U') {
		if (yych <= 'N') {
			if (yych == 'A') goto yy190;
			goto yy55;
		} else {
			if (yych <= 'O') goto yy191;
			if (yych <= 'T') goto yy55;
			goto yy192;
		}
	} else {
		if (yych <= 'n') {
			if (yych == 'a') goto yy190;
			goto yy55;
		} else {
			if (yych <= 'o') goto yy191;
			if (yych == 'u') goto yy192;
			goto yy55;
		}
	}
yy61:
	yyaccept = 2;
	yych = *(mar = ++cur);
	if (yych <= 'P') {
		if (yych <= '\'') {
			if (yych == '"') goto yy193;
			if (yych <= '&') goto yy55;
			goto yy194;
		} else {
			if (yych == 'N') goto yy195;
			if (yych <= 'O') goto yy55;
			goto yy196;
		}
	} else {
		if (yych <= 'n') {
			if (yych == 'U') goto yy197;
			if (yych <= 'm') goto yy55;
			goto yy195;
		} else {
			if (yych <= 'p') {
				if (yych <= 'o') goto yy55;
				goto yy196;
			} else {
				if (yych == 'u') goto yy197;
				goto yy55;
			}
		}
	}
yy62:
	yych = *++cur;
	if (yych <= 'U') {
		if (yych <= 'O') {
			if (yych == 'A') goto yy198;
			if (yych <= 'N') goto yy55;
			goto yy199;
		} else {
			if (yych == 'R') goto yy200;
			if (yych <= 'T') goto yy55;
			goto yy201;
		}
	} else {
		if (yych <= 'o') {
			if (yych == 'a') goto yy198;
			if (yych <= 'n') goto yy55;
			goto yy199;
		} else {
			if (yych <= 'r') {
				if (yych <= 'q') goto yy55;
				goto yy200;
			} else {
				if (yych == 'u') goto yy201;
				goto yy55;
			}
		}
	}
yy63:
	yych = *++cur;
	if (yych == 'U') goto yy202;
	if (yych == 'u') goto yy202;
	goto yy55;
yy64:
	yych = *++cur;
	if (yych <= 'E') {
		if (yych == 'A') goto yy203;
		if (yych <= 'D') goto yy55;
		goto yy204;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy55;
			goto yy203;
		} else {
			if (yych == 'e') goto yy204;
			goto yy55;
		}
	}
yy65:
	yych = *++cur;
	switch (yych) {
	case 'A':
	case 'a':	goto yy205;
	case 'E':
	case 'e':	goto yy206;
	case 'H':
	case 'h':	goto yy207;
	case 'O':
	case 'o':	goto yy208;
	case 'T':
	case 't':	goto yy209;
	case 'U':
	case 'u':	goto yy210;
	default:	goto yy55;
	}
yy66:
	yych = *++cur;
	switch (yych) {
	case 'A':
	case 'a':	goto yy211;
	case 'E':
	case 'e':	goto yy212;
	case 'H':
	case 'h':	goto yy213;
	case 'O':
	case 'o':	goto yy214;
	case 'Y':
	case 'y':	goto yy216;
	default:	goto yy55;
	}
yy67:
	yych = *++cur;
	if (yych <= 'S') {
		if (yych == 'N') goto yy217;
		if (yych <= 'R') goto yy55;
		goto yy218;
	} else {
		if (yych <= 'n') {
			if (yych <= 'm') goto yy55;
			goto yy217;
		} else {
			if (yych == 's') goto yy218;
			goto yy55;
		}
	}
yy68:
	yych = *++cur;
	if (yych <= 'O') {
		if (yych == 'A') goto yy219;
		if (yych <= 'N') goto yy55;
		goto yy220;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy55;
			goto yy219;
		} else {
			if (yych == 'o') goto yy220;
			goto yy55;
		}
	}
yy69:
	yych = *++cur;
	if (yych <= 'R') {
		if (yych == 'H') goto yy221;
		if (yych <= 'Q') goto yy55;
		goto yy222;
	} else {
		if (yych <= 'h') {
			if (yych <= 'g') goto yy55;
			goto yy221;
		} else {
			if (yych == 'r') goto yy222;
			goto yy55;
		}
	}
yy70:
	yyaccept = 2;
	yych = *(mar = ++cur);
	if (yych == '"') goto yy223;
	if (yych == '\'') goto yy224;
	goto yy55;
yy71:
	++cur;
yy72:
#line 252 "tokenizer.re"
	{ RET(TK_LBRACKET) }
#line 849 "tokenizer.cpp"
yy73:
	++cur;
#line 253 "tokenizer.re"
	{ RET(TK_RBRACKET) }
#line 854 "tokenizer.cpp"
yy75:
	++cur;
#line 264 "tokenizer.re"
	{ RET(TK_VBAR) }
#line 859 "tokenizer.cpp"
yy77:
	yych = *++cur;
yy78:
	if (yybm[256+yych] & 64) {
		goto yy77;
	}
	if (yych >= 0x01) goto yy80;
yy79:
	cur = mar;
	if (yyaccept <= 7) {
		if (yyaccept <= 3) {
			if (yyaccept <= 1) {
				if (yyaccept == 0) {
					goto yy5;
				} else {
					goto yy35;
				}
			} else {
				if (yyaccept == 2) {
					goto yy47;
				} else {
					goto yy85;
				}
			}
		} else {
			if (yyaccept <= 5) {
				if (yyaccept == 4) {
					goto yy94;
				} else {
					goto yy100;
				}
			} else {
				if (yyaccept == 6) {
					goto yy72;
				} else {
					goto yy108;
				}
			}
		}
	} else {
		if (yyaccept <= 11) {
			if (yyaccept <= 9) {
				if (yyaccept == 8) {
					goto yy183;
				} else {
					goto yy300;
				}
			} else {
				if (yyaccept == 10) {
					goto yy689;
				} else {
					goto yy800;
				}
			}
		} else {
			if (yyaccept <= 13) {
				if (yyaccept == 12) {
					goto yy843;
				} else {
					goto yy1035;
				}
			} else {
				goto yy1037;
			}
		}
	}
yy80:
	++cur;
	cur -= 1;
#line 335 "tokenizer.re"
	{ token(yylval.string); RET(TK_COMMENT) }
#line 931 "tokenizer.cpp"
yy82:
	yych = *++cur;
yy83:
	if (yybm[256+yych] & 128) {
		goto yy82;
	}
	if (yych <= 0x00) goto yy79;
	yyaccept = 3;
	yych = *(mar = ++cur);
	if (yych == '"') goto yy82;
yy85:
#line 344 "tokenizer.re"
	{ token_str(yylval.string); RET(TK_STRING) }
#line 945 "tokenizer.cpp"
yy86:
	yych = *++cur;
yy87:
	if (yych <= 0x00) goto yy79;
	if (yych != '\n') goto yy86;
	++cur;
#line 338 "tokenizer.re"
	{ line_num++; cur_line=cur; continue; }
#line 954 "tokenizer.cpp"
yy90:
	yych = *++cur;
yy91:
	if (yych <= '\f') {
		if (yych <= '\t') {
			if (yych <= 0x08) goto yy79;
			goto yy90;
		} else {
			if (yych <= '\n') goto yy92;
			if (yych <= '\v') goto yy90;
			goto yy79;
		}
	} else {
		if (yych <= 0x1F) {
			if (yych <= '\r') goto yy90;
			goto yy79;
		} else {
			if (yych <= ' ') goto yy90;
			if (yych <= '!') goto yy95;
			goto yy79;
		}
	}
yy92:
	yyaccept = 4;
	yych = *(mar = ++cur);
	if (yybm[0+yych] & 1) {
		goto yy92;
	}
	if (yych <= 0x1F) goto yy94;
	if (yych <= '!') goto yy95;
	if (yych == '&') goto yy225;
yy94:
#line 331 "tokenizer.re"
	{
                line_num++; cur_line=cur; continue;
            }
#line 991 "tokenizer.cpp"
yy95:
	yych = *++cur;
	if (yych <= 0x00) goto yy79;
	if (yych == '\n') goto yy92;
	goto yy95;
yy97:
	yych = *++cur;
yy98:
	if (yybm[0+yych] & 2) {
		goto yy97;
	}
	if (yych <= 0x00) goto yy79;
	yyaccept = 5;
	yych = *(mar = ++cur);
	if (yych == '\'') goto yy97;
yy100:
#line 345 "tokenizer.re"
	{ token_str(yylval.string); RET(TK_STRING) }
#line 1010 "tokenizer.cpp"
yy101:
	yyaccept = 6;
	yych = *(mar = ++cur);
	if (yych <= 0x1F) {
		if (yych <= '\n') {
			if (yych == '\t') goto yy226;
			goto yy72;
		} else {
			if (yych == '\f') goto yy72;
			if (yych <= '\r') goto yy226;
			goto yy72;
		}
	} else {
		if (yych <= '+') {
			if (yych <= ' ') goto yy226;
			if (yych == ')') goto yy228;
			goto yy72;
		} else {
			if (yych <= ',') goto yy230;
			if (yych == '=') goto yy232;
			goto yy72;
		}
	}
yy102:
	++cur;
#line 269 "tokenizer.re"
	{ RET(TK_POW) }
#line 1038 "tokenizer.cpp"
yy104:
	++cur;
#line 267 "tokenizer.re"
	{ RET(TK_DBL_DOT) }
#line 1043 "tokenizer.cpp"
yy106:
	yyaccept = 7;
	yych = *(mar = ++cur);
yy107:
	if (yych <= 'E') {
		if (yych <= '/') goto yy108;
		if (yych <= '9') goto yy106;
		if (yych >= 'D') goto yy134;
	} else {
		if (yych <= '_') {
			if (yych >= '_') goto yy234;
		} else {
			if (yych <= 'c') goto yy108;
			if (yych <= 'e') goto yy134;
		}
	}
yy108:
#line 311 "tokenizer.re"
	{ token(yylval.string); RET(TK_REAL) }
#line 1063 "tokenizer.cpp"
yy109:
	yych = *++cur;
	if (yych == 'N') goto yy235;
	if (yych == 'n') goto yy235;
	goto yy79;
yy110:
	yych = *++cur;
	if (yych == 'Q') goto yy236;
	if (yych == 'q') goto yy236;
	goto yy79;
yy111:
	yych = *++cur;
	if (yych == 'A') goto yy237;
	if (yych == 'a') goto yy237;
	goto yy79;
yy112:
	yych = *++cur;
	if (yych <= 'T') {
		if (yych == 'E') goto yy238;
		if (yych <= 'S') goto yy79;
		goto yy239;
	} else {
		if (yych <= 'e') {
			if (yych <= 'd') goto yy79;
			goto yy238;
		} else {
			if (yych == 't') goto yy239;
			goto yy79;
		}
	}
yy113:
	yych = *++cur;
	if (yych <= 'T') {
		if (yych == 'E') goto yy240;
		if (yych <= 'S') goto yy79;
		goto yy241;
	} else {
		if (yych <= 'e') {
			if (yych <= 'd') goto yy79;
			goto yy240;
		} else {
			if (yych == 't') goto yy241;
			goto yy79;
		}
	}
yy114:
	yych = *++cur;
	if (yych <= 'O') {
		if (yych == 'E') goto yy242;
		if (yych <= 'N') goto yy79;
		goto yy243;
	} else {
		if (yych <= 'e') {
			if (yych <= 'd') goto yy79;
			goto yy242;
		} else {
			if (yych == 'o') goto yy243;
			goto yy79;
		}
	}
yy115:
	yych = *++cur;
	if (yych == 'R') goto yy244;
	if (yych == 'r') goto yy244;
	goto yy79;
yy116:
	yych = *++cur;
	if (yych == 'R') goto yy245;
	if (yych == 'r') goto yy245;
	goto yy79;
yy117:
	yych = *++cur;
	if (yych == 'N') goto yy235;
	if (yych == 'n') goto yy248;
	goto yy119;
yy118:
	yych = *++cur;
yy119:
	if (yybm[0+yych] & 4) {
		goto yy118;
	}
	if (yych == '.') goto yy246;
	goto yy79;
yy120:
	yych = *++cur;
	if (yych == 'Q') goto yy236;
	if (yych == 'q') goto yy249;
	goto yy119;
yy121:
	yych = *++cur;
	if (yych == 'A') goto yy237;
	if (yych == 'a') goto yy250;
	goto yy119;
yy122:
	yych = *++cur;
	if (yych <= 'T') {
		if (yych == 'E') goto yy238;
		if (yych <= 'S') goto yy119;
		goto yy239;
	} else {
		if (yych <= 'e') {
			if (yych <= 'd') goto yy119;
			goto yy251;
		} else {
			if (yych == 't') goto yy252;
			goto yy119;
		}
	}
yy123:
	yych = *++cur;
	if (yych <= 'T') {
		if (yych == 'E') goto yy240;
		if (yych <= 'S') goto yy119;
		goto yy241;
	} else {
		if (yych <= 'e') {
			if (yych <= 'd') goto yy119;
			goto yy253;
		} else {
			if (yych == 't') goto yy254;
			goto yy119;
		}
	}
yy124:
	yych = *++cur;
	if (yych <= 'O') {
		if (yych == 'E') goto yy242;
		if (yych <= 'N') goto yy119;
		goto yy243;
	} else {
		if (yych <= 'e') {
			if (yych <= 'd') goto yy119;
			goto yy255;
		} else {
			if (yych == 'o') goto yy256;
			goto yy119;
		}
	}
yy125:
	yych = *++cur;
	if (yych == 'R') goto yy244;
	if (yych == 'r') goto yy257;
	goto yy119;
yy126:
	yych = *++cur;
	if (yych == 'R') goto yy245;
	if (yych == 'r') goto yy258;
	goto yy119;
yy127:
	++cur;
#line 254 "tokenizer.re"
	{ RET(TK_RBRACKET_OLD) }
#line 1216 "tokenizer.cpp"
yy129:
	++cur;
#line 270 "tokenizer.re"
	{ RET(TK_CONCAT) }
#line 1221 "tokenizer.cpp"
yy131:
	++cur;
#line 275 "tokenizer.re"
	{ RET(TK_NE) }
#line 1226 "tokenizer.cpp"
yy133:
	yyaccept = 7;
	yych = *(mar = ++cur);
	if (yych <= '`') goto yy107;
	if (yych <= 'c') goto yy259;
	if (yych <= 'e') goto yy261;
	if (yych <= 'z') goto yy259;
	goto yy107;
yy134:
	yych = *++cur;
	if (yych <= ',') {
		if (yych == '+') goto yy262;
		goto yy79;
	} else {
		if (yych <= '-') goto yy262;
		if (yych <= '/') goto yy79;
		if (yych <= '9') goto yy263;
		goto yy79;
	}
yy135:
	yych = *++cur;
	if (yych <= '9') {
		if (yych <= '&') {
			if (yych == '"') goto yy82;
			goto yy79;
		} else {
			if (yych <= '\'') goto yy97;
			if (yych <= '/') goto yy79;
			goto yy265;
		}
	} else {
		if (yych <= '^') {
			if (yych <= '@') goto yy79;
			if (yych <= 'Z') goto yy267;
			goto yy79;
		} else {
			if (yych == '`') goto yy79;
			if (yych <= 'z') goto yy267;
			goto yy79;
		}
	}
yy136:
	++cur;
#line 268 "tokenizer.re"
	{ RET(TK_DBL_COLON) }
#line 1272 "tokenizer.cpp"
yy138:
	++cur;
#line 277 "tokenizer.re"
	{ RET(TK_LE) }
#line 1277 "tokenizer.cpp"
yy140:
	++cur;
#line 274 "tokenizer.re"
	{ RET(TK_EQ) }
#line 1282 "tokenizer.cpp"
yy142:
	++cur;
#line 271 "tokenizer.re"
	{ RET(TK_ARROW) }
#line 1287 "tokenizer.cpp"
yy144:
	++cur;
#line 279 "tokenizer.re"
	{ RET(TK_GE) }
#line 1292 "tokenizer.cpp"
yy146:
	yych = *++cur;
	if (yych == 'S') goto yy269;
	if (yych == 's') goto yy269;
	goto yy55;
yy147:
	yych = *++cur;
	if (yych == 'L') goto yy270;
	if (yych == 'l') goto yy270;
	goto yy55;
yy148:
	yych = *++cur;
	if (yych <= 'Y') {
		if (yych == 'S') goto yy272;
		if (yych <= 'X') goto yy55;
		goto yy273;
	} else {
		if (yych <= 's') {
			if (yych <= 'r') goto yy55;
			goto yy272;
		} else {
			if (yych == 'y') goto yy273;
			goto yy55;
		}
	}
yy149:
	yyaccept = 2;
	yych = *(mar = ++cur);
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych <= '&') {
		if (yych == '"') goto yy82;
		goto yy47;
	} else {
		if (yych <= '\'') goto yy97;
		if (yych == '_') goto yy149;
		goto yy47;
	}
yy151:
	yych = *++cur;
	if (yybm[0+yych] & 32) {
		goto yy274;
	}
	goto yy79;
yy152:
	yych = *++cur;
	if (yych <= '/') goto yy79;
	if (yych <= '1') goto yy276;
	goto yy79;
yy153:
	yych = *++cur;
	if (yych == 'C') goto yy278;
	if (yych == 'c') goto yy278;
	goto yy55;
yy154:
	yych = *++cur;
	if (yych == 'N') goto yy279;
	if (yych == 'n') goto yy279;
	goto yy55;
yy155:
	yych = *++cur;
	if (yych == 'O') goto yy280;
	if (yych == 'o') goto yy280;
	goto yy55;
yy156:
	yych = *++cur;
	if (yych <= 'S') {
		if (yych == 'L') goto yy281;
		if (yych <= 'R') goto yy55;
		goto yy282;
	} else {
		if (yych <= 'l') {
			if (yych <= 'k') goto yy55;
			goto yy281;
		} else {
			if (yych == 's') goto yy282;
			goto yy55;
		}
	}
yy157:
	yych = *++cur;
	if (yych == 'A') goto yy283;
	if (yych == 'a') goto yy283;
	goto yy55;
yy158:
	yych = *++cur;
	if (yych <= 'O') {
		if (yych == 'A') goto yy284;
		if (yych <= 'N') goto yy55;
		goto yy285;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy55;
			goto yy284;
		} else {
			if (yych == 'o') goto yy285;
			goto yy55;
		}
	}
yy159:
	yych = *++cur;
	if (yych <= 'N') {
		if (yych <= 'D') {
			if (yych <= 'C') goto yy55;
			goto yy286;
		} else {
			if (yych <= 'L') goto yy55;
			if (yych <= 'M') goto yy287;
			goto yy288;
		}
	} else {
		if (yych <= 'l') {
			if (yych == 'd') goto yy286;
			goto yy55;
		} else {
			if (yych <= 'm') goto yy287;
			if (yych <= 'n') goto yy288;
			goto yy55;
		}
	}
yy160:
	yych = *++cur;
	if (yych == 'I') goto yy289;
	if (yych == 'i') goto yy289;
	goto yy55;
yy161:
	yych = *++cur;
	if (yych == 'C') goto yy290;
	if (yych == 'c') goto yy290;
	goto yy55;
yy162:
	yych = *++cur;
	if (yych == 'T') goto yy291;
	if (yych == 't') goto yy291;
	goto yy55;
yy163:
	yych = *++cur;
	if (yych <= 'F') {
		if (yych == 'A') goto yy292;
		if (yych <= 'E') goto yy55;
		goto yy293;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy55;
			goto yy292;
		} else {
			if (yych == 'f') goto yy293;
			goto yy55;
		}
	}
yy164:
	yych = *++cur;
	if (yych == 'M') goto yy294;
	if (yych == 'm') goto yy294;
	goto yy55;
yy165:
	yych = *++cur;
	if (yybm[0+yych] & 8) {
		goto yy149;
	}
	if (yych <= 'W') {
		if (yych <= '@') {
			if (yych <= '/') goto yy166;
			if (yych <= '9') goto yy54;
		} else {
			if (yych == 'U') goto yy295;
			if (yych <= 'V') goto yy54;
			goto yy296;
		}
	} else {
		if (yych <= 'u') {
			if (yych <= 'Z') goto yy54;
			if (yych <= '`') goto yy166;
			if (yych <= 't') goto yy54;
			goto yy295;
		} else {
			if (yych == 'w') goto yy296;
			if (yych <= 'z') goto yy54;
		}
	}
yy166:
#line 125 "tokenizer.re"
	{ KW(DO) }
#line 1477 "tokenizer.cpp"
yy167:
	yych = *++cur;
	if (yych <= 'S') {
		if (yych == 'E') goto yy297;
		if (yych <= 'R') goto yy55;
		goto yy298;
	} else {
		if (yych <= 'e') {
			if (yych <= 'd') goto yy55;
			goto yy297;
		} else {
			if (yych == 's') goto yy298;
			goto yy55;
		}
	}
yy168:
	yych = *++cur;
	if (yych <= 'U') {
		if (yych <= 'D') {
			if (yych <= 'C') goto yy55;
			goto yy299;
		} else {
			if (yych <= 'S') goto yy55;
			if (yych <= 'T') goto yy301;
			goto yy302;
		}
	} else {
		if (yych <= 's') {
			if (yych == 'd') goto yy299;
			goto yy55;
		} else {
			if (yych <= 't') goto yy301;
			if (yych <= 'u') goto yy302;
			goto yy55;
		}
	}
yy169:
	yych = *++cur;
	if (yych == 'U') goto yy303;
	if (yych == 'u') goto yy303;
	goto yy55;
yy170:
	yych = *++cur;
	if (yych == 'R') goto yy304;
	if (yych == 'r') goto yy304;
	goto yy55;
yy171:
	yych = *++cur;
	if (yych <= 'T') {
		if (yych == 'I') goto yy305;
		if (yych <= 'S') goto yy55;
		goto yy306;
	} else {
		if (yych <= 'i') {
			if (yych <= 'h') goto yy55;
			goto yy305;
		} else {
			if (yych == 't') goto yy306;
			goto yy55;
		}
	}
yy172:
	yych = *++cur;
	if (yych <= 'N') {
		if (yych == 'L') goto yy307;
		if (yych <= 'M') goto yy55;
		goto yy308;
	} else {
		if (yych <= 'l') {
			if (yych <= 'k') goto yy55;
			goto yy307;
		} else {
			if (yych == 'n') goto yy308;
			goto yy55;
		}
	}
yy173:
	yych = *++cur;
	if (yych == 'U') goto yy309;
	if (yych == 'u') goto yy309;
	goto yy55;
yy174:
	yych = *++cur;
	if (yych == 'R') goto yy310;
	if (yych == 'r') goto yy310;
	goto yy55;
yy175:
	yych = *++cur;
	if (yych == 'N') goto yy311;
	if (yych == 'n') goto yy311;
	goto yy55;
yy176:
	yych = *++cur;
	if (yych == 'N') goto yy312;
	if (yych == 'n') goto yy312;
	goto yy55;
yy177:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 160 "tokenizer.re"
	{ KW(GO) }
#line 1582 "tokenizer.cpp"
yy179:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 161 "tokenizer.re"
	{ KW(IF) }
#line 1591 "tokenizer.cpp"
yy181:
	yych = *++cur;
	if (yych == 'P') goto yy313;
	if (yych == 'p') goto yy313;
	goto yy55;
yy182:
	yyaccept = 8;
	yych = *(mar = ++cur);
	if (yybm[0+yych] & 8) {
		goto yy149;
	}
	if (yych <= 'O') {
		if (yych <= 0x1F) {
			if (yych <= '\n') {
				if (yych == '\t') goto yy314;
			} else {
				if (yych == '\f') goto yy183;
				if (yych <= '\r') goto yy314;
			}
		} else {
			if (yych <= '@') {
				if (yych <= ' ') goto yy314;
				if (yych <= '/') goto yy183;
				if (yych <= '9') goto yy54;
			} else {
				if (yych == 'C') goto yy316;
				if (yych <= 'N') goto yy54;
				goto yy317;
			}
		}
	} else {
		if (yych <= 'c') {
			if (yych <= 'T') {
				if (yych == 'Q') goto yy318;
				if (yych <= 'S') goto yy54;
				goto yy319;
			} else {
				if (yych <= 'Z') goto yy54;
				if (yych <= '`') goto yy183;
				if (yych <= 'b') goto yy54;
				goto yy316;
			}
		} else {
			if (yych <= 'q') {
				if (yych == 'o') goto yy317;
				if (yych <= 'p') goto yy54;
				goto yy318;
			} else {
				if (yych == 't') goto yy319;
				if (yych <= 'z') goto yy54;
			}
		}
	}
yy183:
#line 165 "tokenizer.re"
	{ KW(IN) }
#line 1648 "tokenizer.cpp"
yy184:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 174 "tokenizer.re"
	{ KW(IS) }
#line 1657 "tokenizer.cpp"
yy186:
	yych = *++cur;
	if (yych == 'N') goto yy320;
	if (yych == 'n') goto yy320;
	goto yy55;
yy187:
	yych = *++cur;
	if (yych == 'N') goto yy321;
	if (yych == 'n') goto yy321;
	goto yy55;
yy188:
	yych = *++cur;
	if (yych <= 'G') {
		if (yych == 'C') goto yy323;
		if (yych <= 'F') goto yy55;
		goto yy324;
	} else {
		if (yych <= 'c') {
			if (yych <= 'b') goto yy55;
			goto yy323;
		} else {
			if (yych == 'g') goto yy324;
			goto yy55;
		}
	}
yy189:
	yych = *++cur;
	if (yych <= 'L') {
		if (yych == 'D') goto yy325;
		if (yych <= 'K') goto yy55;
		goto yy326;
	} else {
		if (yych <= 'd') {
			if (yych <= 'c') goto yy55;
			goto yy325;
		} else {
			if (yych == 'l') goto yy326;
			goto yy55;
		}
	}
yy190:
	yych = *++cur;
	if (yych == 'M') goto yy327;
	if (yych == 'm') goto yy327;
	goto yy55;
yy191:
	yych = *++cur;
	if (yych <= 'P') {
		if (yych == 'N') goto yy328;
		if (yych <= 'O') goto yy55;
		goto yy329;
	} else {
		if (yych <= 'n') {
			if (yych <= 'm') goto yy55;
			goto yy328;
		} else {
			if (yych == 'p') goto yy329;
			goto yy55;
		}
	}
yy192:
	yych = *++cur;
	if (yych == 'L') goto yy330;
	if (yych == 'l') goto yy330;
	goto yy55;
yy193:
	yych = *++cur;
	if (yybm[0+yych] & 64) {
		goto yy331;
	}
	goto yy79;
yy194:
	yych = *++cur;
	if (yych <= '/') goto yy79;
	if (yych <= '7') goto yy333;
	goto yy79;
yy195:
	yych = *++cur;
	if (yych == 'L') goto yy335;
	if (yych == 'l') goto yy335;
	goto yy55;
yy196:
	yych = *++cur;
	if (yych <= 'T') {
		if (yych == 'E') goto yy336;
		if (yych <= 'S') goto yy55;
		goto yy337;
	} else {
		if (yych <= 'e') {
			if (yych <= 'd') goto yy55;
			goto yy336;
		} else {
			if (yych == 't') goto yy337;
			goto yy55;
		}
	}
yy197:
	yych = *++cur;
	if (yych == 'T') goto yy338;
	if (yych == 't') goto yy338;
	goto yy55;
yy198:
	yych = *++cur;
	if (yych <= 'S') {
		if (yych <= 'Q') goto yy55;
		if (yych <= 'R') goto yy340;
		goto yy341;
	} else {
		if (yych <= 'q') goto yy55;
		if (yych <= 'r') goto yy340;
		if (yych <= 's') goto yy341;
		goto yy55;
	}
yy199:
	yych = *++cur;
	if (yych == 'I') goto yy342;
	if (yych == 'i') goto yy342;
	goto yy55;
yy200:
	yych = *++cur;
	if (yych <= 'O') {
		if (yych <= 'H') {
			if (yych == 'E') goto yy343;
			goto yy55;
		} else {
			if (yych <= 'I') goto yy344;
			if (yych <= 'N') goto yy55;
			goto yy345;
		}
	} else {
		if (yych <= 'h') {
			if (yych == 'e') goto yy343;
			goto yy55;
		} else {
			if (yych <= 'i') goto yy344;
			if (yych == 'o') goto yy345;
			goto yy55;
		}
	}
yy201:
	yych = *++cur;
	if (yych <= 'R') {
		if (yych == 'B') goto yy346;
		if (yych <= 'Q') goto yy55;
		goto yy347;
	} else {
		if (yych <= 'b') {
			if (yych <= 'a') goto yy55;
			goto yy346;
		} else {
			if (yych == 'r') goto yy347;
			goto yy55;
		}
	}
yy202:
	yych = *++cur;
	if (yych == 'I') goto yy348;
	if (yych == 'i') goto yy348;
	goto yy55;
yy203:
	yych = *++cur;
	if (yych == 'N') goto yy349;
	if (yych == 'n') goto yy349;
	goto yy55;
yy204:
	yych = *++cur;
	switch (yych) {
	case 'A':
	case 'a':	goto yy350;
	case 'C':
	case 'c':	goto yy351;
	case 'D':
	case 'd':	goto yy352;
	case 'S':
	case 's':	goto yy353;
	case 'T':
	case 't':	goto yy354;
	case 'W':
	case 'w':	goto yy355;
	default:	goto yy55;
	}
yy205:
	yych = *++cur;
	if (yych == 'V') goto yy356;
	if (yych == 'v') goto yy356;
	goto yy55;
yy206:
	yych = *++cur;
	if (yych <= 'Q') {
		if (yych == 'L') goto yy357;
		if (yych <= 'P') goto yy55;
		goto yy358;
	} else {
		if (yych <= 'l') {
			if (yych <= 'k') goto yy55;
			goto yy357;
		} else {
			if (yych == 'q') goto yy358;
			goto yy55;
		}
	}
yy207:
	yych = *++cur;
	if (yych == 'A') goto yy359;
	if (yych == 'a') goto yy359;
	goto yy55;
yy208:
	yych = *++cur;
	if (yych == 'U') goto yy360;
	if (yych == 'u') goto yy360;
	goto yy55;
yy209:
	yych = *++cur;
	if (yych <= 'O') {
		if (yych == 'A') goto yy361;
		if (yych <= 'N') goto yy55;
		goto yy362;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy55;
			goto yy361;
		} else {
			if (yych == 'o') goto yy362;
			goto yy55;
		}
	}
yy210:
	yych = *++cur;
	if (yych == 'B') goto yy363;
	if (yych == 'b') goto yy363;
	goto yy55;
yy211:
	yych = *++cur;
	if (yych == 'R') goto yy364;
	if (yych == 'r') goto yy364;
	goto yy55;
yy212:
	yych = *++cur;
	if (yych == 'A') goto yy365;
	if (yych == 'a') goto yy365;
	goto yy55;
yy213:
	yych = *++cur;
	if (yych == 'E') goto yy366;
	if (yych == 'e') goto yy366;
	goto yy55;
yy214:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 228 "tokenizer.re"
	{ KW(TO) }
#line 1912 "tokenizer.cpp"
yy216:
	yych = *++cur;
	if (yych == 'P') goto yy367;
	if (yych == 'p') goto yy367;
	goto yy55;
yy217:
	yych = *++cur;
	if (yych == 'F') goto yy368;
	if (yych == 'f') goto yy368;
	goto yy55;
yy218:
	yych = *++cur;
	if (yych == 'E') goto yy369;
	if (yych == 'e') goto yy369;
	goto yy55;
yy219:
	yych = *++cur;
	if (yych == 'L') goto yy371;
	if (yych == 'l') goto yy371;
	goto yy55;
yy220:
	yych = *++cur;
	if (yych == 'L') goto yy372;
	if (yych == 'l') goto yy372;
	goto yy55;
yy221:
	yych = *++cur;
	if (yych <= 'I') {
		if (yych == 'E') goto yy373;
		if (yych <= 'H') goto yy55;
		goto yy374;
	} else {
		if (yych <= 'e') {
			if (yych <= 'd') goto yy55;
			goto yy373;
		} else {
			if (yych == 'i') goto yy374;
			goto yy55;
		}
	}
yy222:
	yych = *++cur;
	if (yych == 'I') goto yy375;
	if (yych == 'i') goto yy375;
	goto yy55;
yy223:
	yych = *++cur;
	if (yych == '"') goto yy79;
	goto yy377;
yy224:
	yych = *++cur;
	if (yych == '\'') goto yy79;
	goto yy379;
yy225:
	++cur;
	goto yy94;
yy226:
	yych = *++cur;
	if (yych <= '\r') {
		if (yych <= '\n') {
			if (yych == '\t') goto yy226;
			goto yy79;
		} else {
			if (yych == '\f') goto yy79;
			goto yy226;
		}
	} else {
		if (yych <= '(') {
			if (yych == ' ') goto yy226;
			goto yy79;
		} else {
			if (yych <= ')') goto yy380;
			if (yych == ',') goto yy382;
			goto yy79;
		}
	}
yy228:
	++cur;
	cur -= 2;
#line 249 "tokenizer.re"
	{ RET(TK_LPAREN) }
#line 1994 "tokenizer.cpp"
yy230:
	++cur;
	cur -= 2;
#line 247 "tokenizer.re"
	{ RET(TK_LPAREN) }
#line 2000 "tokenizer.cpp"
yy232:
	++cur;
	cur -= 2;
#line 246 "tokenizer.re"
	{ RET(TK_LPAREN) }
#line 2006 "tokenizer.cpp"
yy234:
	yych = *++cur;
	if (yych <= 'Z') {
		if (yych <= '/') goto yy79;
		if (yych <= '9') goto yy384;
		if (yych <= '@') goto yy79;
		goto yy386;
	} else {
		if (yych <= '_') {
			if (yych <= '^') goto yy79;
			goto yy386;
		} else {
			if (yych <= '`') goto yy79;
			if (yych <= 'z') goto yy386;
			goto yy79;
		}
	}
yy235:
	yych = *++cur;
	if (yych == 'D') goto yy388;
	if (yych == 'd') goto yy388;
	goto yy79;
yy236:
	yych = *++cur;
	if (yych <= 'U') {
		if (yych == '.') goto yy140;
		goto yy79;
	} else {
		if (yych <= 'V') goto yy389;
		if (yych == 'v') goto yy389;
		goto yy79;
	}
yy237:
	yych = *++cur;
	if (yych == 'L') goto yy390;
	if (yych == 'l') goto yy390;
	goto yy79;
yy238:
	yych = *++cur;
	if (yych == '.') goto yy144;
	goto yy79;
yy239:
	yych = *++cur;
	if (yych == '.') goto yy391;
	goto yy79;
yy240:
	yych = *++cur;
	if (yych == '.') goto yy138;
	goto yy79;
yy241:
	yych = *++cur;
	if (yych == '.') goto yy392;
	goto yy79;
yy242:
	yych = *++cur;
	if (yych <= 'P') {
		if (yych == '.') goto yy131;
		goto yy79;
	} else {
		if (yych <= 'Q') goto yy393;
		if (yych == 'q') goto yy393;
		goto yy79;
	}
yy243:
	yych = *++cur;
	if (yych == 'T') goto yy394;
	if (yych == 't') goto yy394;
	goto yy79;
yy244:
	yych = *++cur;
	if (yych == '.') goto yy395;
	goto yy79;
yy245:
	yych = *++cur;
	if (yych == 'U') goto yy397;
	if (yych == 'u') goto yy397;
	goto yy79;
yy246:
	++cur;
#line 347 "tokenizer.re"
	{ token(yylval.string); RET(TK_DEF_OP) }
#line 2088 "tokenizer.cpp"
yy248:
	yych = *++cur;
	if (yych == 'D') goto yy388;
	if (yych == 'd') goto yy398;
	goto yy119;
yy249:
	yych = *++cur;
	if (yych <= 'U') {
		if (yych == '.') goto yy140;
		goto yy119;
	} else {
		if (yych <= 'V') goto yy389;
		if (yych == 'v') goto yy399;
		goto yy119;
	}
yy250:
	yych = *++cur;
	if (yych == 'L') goto yy390;
	if (yych == 'l') goto yy400;
	goto yy119;
yy251:
	yych = *++cur;
	if (yych == '.') goto yy144;
	goto yy119;
yy252:
	yych = *++cur;
	if (yych == '.') goto yy391;
	goto yy119;
yy253:
	yych = *++cur;
	if (yych == '.') goto yy138;
	goto yy119;
yy254:
	yych = *++cur;
	if (yych == '.') goto yy392;
	goto yy119;
yy255:
	yych = *++cur;
	if (yych <= 'P') {
		if (yych == '.') goto yy131;
		goto yy119;
	} else {
		if (yych <= 'Q') goto yy393;
		if (yych == 'q') goto yy401;
		goto yy119;
	}
yy256:
	yych = *++cur;
	if (yych == 'T') goto yy394;
	if (yych == 't') goto yy402;
	goto yy119;
yy257:
	yych = *++cur;
	if (yych == '.') goto yy395;
	goto yy119;
yy258:
	yych = *++cur;
	if (yych == 'U') goto yy397;
	if (yych == 'u') goto yy403;
	goto yy119;
yy259:
	yych = *++cur;
yy260:
	if (yych == '.') goto yy404;
	if (yych <= '`') goto yy79;
	if (yych <= 'z') goto yy259;
	goto yy79;
yy261:
	yych = *++cur;
	if (yych <= ',') {
		if (yych != '+') goto yy260;
	} else {
		if (yych <= '-') goto yy262;
		if (yych <= '/') goto yy260;
		if (yych <= '9') goto yy263;
		goto yy260;
	}
yy262:
	yych = *++cur;
	if (yych <= '/') goto yy79;
	if (yych >= ':') goto yy79;
yy263:
	yyaccept = 7;
	yych = *(mar = ++cur);
	if (yych <= '/') goto yy108;
	if (yych <= '9') goto yy263;
	if (yych == '_') goto yy234;
	goto yy108;
yy265:
	yyaccept = 1;
	yych = *(mar = ++cur);
	if (yych == '.') {
		ctxmar = cur;
		goto yy406;
	}
	if (yych <= '/') goto yy35;
	if (yych <= '9') goto yy265;
	goto yy35;
yy267:
	yyaccept = 1;
	yych = *(mar = ++cur);
	if (yybm[0+yych] & 16) {
		goto yy267;
	}
	if (yych == '.') {
		ctxmar = cur;
		goto yy406;
	}
	goto yy35;
yy269:
	yych = *++cur;
	if (yych == 'T') goto yy407;
	if (yych == 't') goto yy407;
	goto yy55;
yy270:
	yych = *++cur;
	if (yybm[0+yych] & 8) {
		goto yy149;
	}
	if (yych <= 'O') {
		if (yych <= '9') {
			if (yych >= '0') goto yy54;
		} else {
			if (yych <= '@') goto yy271;
			if (yych <= 'N') goto yy54;
			goto yy408;
		}
	} else {
		if (yych <= 'n') {
			if (yych <= 'Z') goto yy54;
			if (yych >= 'a') goto yy54;
		} else {
			if (yych <= 'o') goto yy408;
			if (yych <= 'z') goto yy54;
		}
	}
yy271:
#line 97 "tokenizer.re"
	{ KW(ALL) }
#line 2228 "tokenizer.cpp"
yy272:
	yych = *++cur;
	if (yych <= 'O') {
		if (yych == 'I') goto yy409;
		if (yych <= 'N') goto yy55;
		goto yy410;
	} else {
		if (yych <= 'i') {
			if (yych <= 'h') goto yy55;
			goto yy409;
		} else {
			if (yych == 'o') goto yy410;
			goto yy55;
		}
	}
yy273:
	yych = *++cur;
	if (yych == 'N') goto yy411;
	if (yych == 'n') goto yy411;
	goto yy55;
yy274:
	yych = *++cur;
	if (yybm[0+yych] & 32) {
		goto yy274;
	}
	if (yych == '"') goto yy412;
	goto yy79;
yy276:
	yych = *++cur;
	if (yych == '\'') goto yy414;
	if (yych <= '/') goto yy79;
	if (yych <= '1') goto yy276;
	goto yy79;
yy278:
	yych = *++cur;
	if (yych == 'K') goto yy416;
	if (yych == 'k') goto yy416;
	goto yy55;
yy279:
	yych = *++cur;
	if (yych == 'D') goto yy417;
	if (yych == 'd') goto yy417;
	goto yy55;
yy280:
	yych = *++cur;
	if (yych == 'C') goto yy419;
	if (yych == 'c') goto yy419;
	goto yy55;
yy281:
	yych = *++cur;
	if (yych == 'L') goto yy420;
	if (yych == 'l') goto yy420;
	goto yy55;
yy282:
	yych = *++cur;
	if (yych == 'E') goto yy422;
	if (yych == 'e') goto yy422;
	goto yy55;
yy283:
	yych = *++cur;
	if (yych == 'R') goto yy424;
	if (yych == 'r') goto yy424;
	goto yy55;
yy284:
	yych = *++cur;
	if (yych == 'S') goto yy425;
	if (yych == 's') goto yy425;
	goto yy55;
yy285:
	yych = *++cur;
	if (yych == 'S') goto yy426;
	if (yych == 's') goto yy426;
	goto yy55;
yy286:
	yych = *++cur;
	if (yych == 'I') goto yy427;
	if (yych == 'i') goto yy427;
	goto yy55;
yy287:
	yych = *++cur;
	if (yych <= 'P') {
		if (yych == 'M') goto yy428;
		if (yych <= 'O') goto yy55;
		goto yy429;
	} else {
		if (yych <= 'm') {
			if (yych <= 'l') goto yy55;
			goto yy428;
		} else {
			if (yych == 'p') goto yy429;
			goto yy55;
		}
	}
yy288:
	yych = *++cur;
	if (yych <= 'T') {
		if (yych == 'C') goto yy430;
		if (yych <= 'S') goto yy55;
		goto yy431;
	} else {
		if (yych <= 'c') {
			if (yych <= 'b') goto yy55;
			goto yy430;
		} else {
			if (yych == 't') goto yy431;
			goto yy55;
		}
	}
yy289:
	yych = *++cur;
	if (yych == 'T') goto yy432;
	if (yych == 't') goto yy432;
	goto yy55;
yy290:
	yych = *++cur;
	if (yych == 'L') goto yy433;
	if (yych == 'l') goto yy433;
	goto yy55;
yy291:
	yych = *++cur;
	if (yych == 'A') goto yy434;
	if (yych == 'a') goto yy434;
	goto yy55;
yy292:
	yych = *++cur;
	if (yych == 'L') goto yy436;
	if (yych == 'l') goto yy436;
	goto yy55;
yy293:
	yych = *++cur;
	if (yych <= 'E') {
		if (yych == 'A') goto yy437;
		if (yych <= 'D') goto yy55;
		goto yy438;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy55;
			goto yy437;
		} else {
			if (yych == 'e') goto yy438;
			goto yy55;
		}
	}
yy294:
	yych = *++cur;
	if (yych == 'E') goto yy439;
	if (yych == 'e') goto yy439;
	goto yy55;
yy295:
	yych = *++cur;
	if (yych == 'B') goto yy440;
	if (yych == 'b') goto yy440;
	goto yy55;
yy296:
	yych = *++cur;
	if (yych == 'H') goto yy441;
	if (yych == 'h') goto yy441;
	goto yy55;
yy297:
	yych = *++cur;
	if (yych == 'M') goto yy442;
	if (yych == 'm') goto yy442;
	goto yy55;
yy298:
	yych = *++cur;
	if (yych == 'E') goto yy443;
	if (yych == 'e') goto yy443;
	goto yy55;
yy299:
	yyaccept = 9;
	yych = *(mar = ++cur);
	if (yybm[0+yych] & 8) {
		goto yy149;
	}
	if (yych <= 'F') {
		if (yych <= 0x1F) {
			if (yych <= '\n') {
				if (yych == '\t') goto yy445;
			} else {
				if (yych == '\f') goto yy300;
				if (yych <= '\r') goto yy445;
			}
		} else {
			if (yych <= '@') {
				if (yych <= ' ') goto yy445;
				if (yych <= '/') goto yy300;
				if (yych <= '9') goto yy54;
			} else {
				if (yych == 'D') goto yy447;
				if (yych <= 'E') goto yy54;
				goto yy448;
			}
		}
	} else {
		if (yych <= 'd') {
			if (yych <= 'W') {
				if (yych == 'I') goto yy449;
				if (yych <= 'V') goto yy54;
				goto yy450;
			} else {
				if (yych <= 'Z') goto yy54;
				if (yych <= '`') goto yy300;
				if (yych <= 'c') goto yy54;
				goto yy447;
			}
		} else {
			if (yych <= 'i') {
				if (yych == 'f') goto yy448;
				if (yych <= 'h') goto yy54;
				goto yy449;
			} else {
				if (yych == 'w') goto yy450;
				if (yych <= 'z') goto yy54;
			}
		}
	}
yy300:
#line 132 "tokenizer.re"
	{ KW(END) }
#line 2448 "tokenizer.cpp"
yy301:
	yych = *++cur;
	if (yych == 'R') goto yy451;
	if (yych == 'r') goto yy451;
	goto yy55;
yy302:
	yych = *++cur;
	if (yych == 'M') goto yy452;
	if (yych == 'm') goto yy452;
	goto yy55;
yy303:
	yych = *++cur;
	if (yych == 'I') goto yy454;
	if (yych == 'i') goto yy454;
	goto yy55;
yy304:
	yych = *++cur;
	if (yych <= 'O') {
		if (yych == 'M') goto yy455;
		if (yych <= 'N') goto yy55;
		goto yy456;
	} else {
		if (yych <= 'm') {
			if (yych <= 'l') goto yy55;
			goto yy455;
		} else {
			if (yych == 'o') goto yy456;
			goto yy55;
		}
	}
yy305:
	yych = *++cur;
	if (yych == 'T') goto yy457;
	if (yych == 't') goto yy457;
	goto yy55;
yy306:
	yych = *++cur;
	if (yych == 'E') goto yy459;
	if (yych == 'e') goto yy459;
	goto yy55;
yy307:
	yych = *++cur;
	if (yych == 'E') goto yy460;
	if (yych == 'e') goto yy460;
	goto yy55;
yy308:
	yych = *++cur;
	if (yych == 'A') goto yy462;
	if (yych == 'a') goto yy462;
	goto yy55;
yy309:
	yych = *++cur;
	if (yych == 'S') goto yy463;
	if (yych == 's') goto yy463;
	goto yy55;
yy310:
	yych = *++cur;
	if (yych <= 'M') {
		if (yych == 'A') goto yy464;
		if (yych <= 'L') goto yy55;
		goto yy465;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy55;
			goto yy464;
		} else {
			if (yych == 'm') goto yy465;
			goto yy55;
		}
	}
yy311:
	yych = *++cur;
	if (yych == 'C') goto yy466;
	if (yych == 'c') goto yy466;
	goto yy55;
yy312:
	yych = *++cur;
	if (yych == 'E') goto yy467;
	if (yych == 'e') goto yy467;
	goto yy55;
yy313:
	yych = *++cur;
	if (yych <= 'U') {
		if (yych <= 'N') {
			if (yych == 'L') goto yy468;
			goto yy55;
		} else {
			if (yych <= 'O') goto yy469;
			if (yych <= 'T') goto yy55;
			goto yy470;
		}
	} else {
		if (yych <= 'n') {
			if (yych == 'l') goto yy468;
			goto yy55;
		} else {
			if (yych <= 'o') goto yy469;
			if (yych == 'u') goto yy470;
			goto yy55;
		}
	}
yy314:
	yych = *++cur;
	if (yych <= '\r') {
		if (yych <= '\n') {
			if (yych == '\t') goto yy314;
			goto yy79;
		} else {
			if (yych == '\f') goto yy79;
			goto yy314;
		}
	} else {
		if (yych <= 'N') {
			if (yych == ' ') goto yy314;
			goto yy79;
		} else {
			if (yych <= 'O') goto yy471;
			if (yych == 'o') goto yy471;
			goto yy79;
		}
	}
yy316:
	yych = *++cur;
	if (yych == 'L') goto yy472;
	if (yych == 'l') goto yy472;
	goto yy55;
yy317:
	yych = *++cur;
	if (yych == 'U') goto yy473;
	if (yych == 'u') goto yy473;
	goto yy55;
yy318:
	yych = *++cur;
	if (yych == 'U') goto yy474;
	if (yych == 'u') goto yy474;
	goto yy55;
yy319:
	yych = *++cur;
	if (yych <= 'R') {
		if (yych == 'E') goto yy475;
		if (yych <= 'Q') goto yy55;
		goto yy476;
	} else {
		if (yych <= 'e') {
			if (yych <= 'd') goto yy55;
			goto yy475;
		} else {
			if (yych == 'r') goto yy476;
			goto yy55;
		}
	}
yy320:
	yych = *++cur;
	if (yych == 'D') goto yy477;
	if (yych == 'd') goto yy477;
	goto yy55;
yy321:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 176 "tokenizer.re"
	{ KW(LEN) }
#line 2613 "tokenizer.cpp"
yy323:
	yych = *++cur;
	if (yych == 'A') goto yy479;
	if (yych == 'a') goto yy479;
	goto yy55;
yy324:
	yych = *++cur;
	if (yych == 'I') goto yy480;
	if (yych == 'i') goto yy480;
	goto yy55;
yy325:
	yych = *++cur;
	if (yych == 'U') goto yy481;
	if (yych == 'u') goto yy481;
	goto yy55;
yy326:
	yych = *++cur;
	if (yych == 'D') goto yy482;
	if (yych == 'd') goto yy482;
	goto yy55;
yy327:
	yych = *++cur;
	if (yych == 'E') goto yy484;
	if (yych == 'e') goto yy484;
	goto yy55;
yy328:
	yych = *++cur;
	if (yych <= '^') {
		if (yych == 'E') goto yy486;
		goto yy55;
	} else {
		if (yych <= '_') goto yy488;
		if (yych == 'e') goto yy486;
		goto yy55;
	}
yy329:
	yych = *++cur;
	if (yych == 'A') goto yy489;
	if (yych == 'a') goto yy489;
	goto yy55;
yy330:
	yych = *++cur;
	if (yych == 'L') goto yy490;
	if (yych == 'l') goto yy490;
	goto yy55;
yy331:
	yych = *++cur;
	if (yybm[0+yych] & 64) {
		goto yy331;
	}
	if (yych == '"') goto yy491;
	goto yy79;
yy333:
	yych = *++cur;
	if (yych == '\'') goto yy493;
	if (yych <= '/') goto yy79;
	if (yych <= '7') goto yy333;
	goto yy79;
yy335:
	yych = *++cur;
	if (yych == 'Y') goto yy495;
	if (yych == 'y') goto yy495;
	goto yy55;
yy336:
	yych = *++cur;
	if (yych <= 'R') {
		if (yych == 'N') goto yy497;
		if (yych <= 'Q') goto yy55;
		goto yy499;
	} else {
		if (yych <= 'n') {
			if (yych <= 'm') goto yy55;
			goto yy497;
		} else {
			if (yych == 'r') goto yy499;
			goto yy55;
		}
	}
yy337:
	yych = *++cur;
	if (yych == 'I') goto yy500;
	if (yych == 'i') goto yy500;
	goto yy55;
yy338:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 194 "tokenizer.re"
	{ KW(OUT) }
#line 2705 "tokenizer.cpp"
yy340:
	yych = *++cur;
	if (yych == 'A') goto yy501;
	if (yych == 'a') goto yy501;
	goto yy55;
yy341:
	yych = *++cur;
	if (yych == 'S') goto yy502;
	if (yych == 's') goto yy502;
	goto yy55;
yy342:
	yych = *++cur;
	if (yych == 'N') goto yy504;
	if (yych == 'n') goto yy504;
	goto yy55;
yy343:
	yych = *++cur;
	if (yych == 'C') goto yy505;
	if (yych == 'c') goto yy505;
	goto yy55;
yy344:
	yych = *++cur;
	if (yych <= 'V') {
		if (yych == 'N') goto yy506;
		if (yych <= 'U') goto yy55;
		goto yy507;
	} else {
		if (yych <= 'n') {
			if (yych <= 'm') goto yy55;
			goto yy506;
		} else {
			if (yych == 'v') goto yy507;
			goto yy55;
		}
	}
yy345:
	yych = *++cur;
	if (yych <= 'T') {
		if (yych <= 'F') {
			if (yych == 'C') goto yy508;
			goto yy55;
		} else {
			if (yych <= 'G') goto yy509;
			if (yych <= 'S') goto yy55;
			goto yy510;
		}
	} else {
		if (yych <= 'f') {
			if (yych == 'c') goto yy508;
			goto yy55;
		} else {
			if (yych <= 'g') goto yy509;
			if (yych == 't') goto yy510;
			goto yy55;
		}
	}
yy346:
	yych = *++cur;
	if (yych == 'L') goto yy511;
	if (yych == 'l') goto yy511;
	goto yy55;
yy347:
	yych = *++cur;
	if (yych == 'E') goto yy512;
	if (yych == 'e') goto yy512;
	goto yy55;
yy348:
	yych = *++cur;
	if (yych == 'E') goto yy514;
	if (yych == 'e') goto yy514;
	goto yy55;
yy349:
	yych = *++cur;
	if (yych == 'K') goto yy515;
	if (yych == 'k') goto yy515;
	goto yy55;
yy350:
	yych = *++cur;
	if (yych <= 'L') {
		if (yych == 'D') goto yy517;
		if (yych <= 'K') goto yy55;
		goto yy519;
	} else {
		if (yych <= 'd') {
			if (yych <= 'c') goto yy55;
			goto yy517;
		} else {
			if (yych == 'l') goto yy519;
			goto yy55;
		}
	}
yy351:
	yych = *++cur;
	if (yych == 'U') goto yy521;
	if (yych == 'u') goto yy521;
	goto yy55;
yy352:
	yych = *++cur;
	if (yych == 'U') goto yy522;
	if (yych == 'u') goto yy522;
	goto yy55;
yy353:
	yych = *++cur;
	if (yych == 'U') goto yy523;
	if (yych == 'u') goto yy523;
	goto yy55;
yy354:
	yych = *++cur;
	if (yych == 'U') goto yy524;
	if (yych == 'u') goto yy524;
	goto yy55;
yy355:
	yych = *++cur;
	if (yych == 'I') goto yy525;
	if (yych == 'i') goto yy525;
	goto yy55;
yy356:
	yych = *++cur;
	if (yych == 'E') goto yy526;
	if (yych == 'e') goto yy526;
	goto yy55;
yy357:
	yych = *++cur;
	if (yych == 'E') goto yy528;
	if (yych == 'e') goto yy528;
	goto yy55;
yy358:
	yych = *++cur;
	if (yych == 'U') goto yy529;
	if (yych == 'u') goto yy529;
	goto yy55;
yy359:
	yych = *++cur;
	if (yych == 'R') goto yy530;
	if (yych == 'r') goto yy530;
	goto yy55;
yy360:
	yych = *++cur;
	if (yych == 'R') goto yy531;
	if (yych == 'r') goto yy531;
	goto yy55;
yy361:
	yych = *++cur;
	if (yych == 'T') goto yy532;
	if (yych == 't') goto yy532;
	goto yy55;
yy362:
	yych = *++cur;
	if (yych == 'P') goto yy534;
	if (yych == 'p') goto yy534;
	goto yy55;
yy363:
	yych = *++cur;
	if (yych <= 'R') {
		if (yych == 'M') goto yy536;
		if (yych <= 'Q') goto yy55;
		goto yy537;
	} else {
		if (yych <= 'm') {
			if (yych <= 'l') goto yy55;
			goto yy536;
		} else {
			if (yych == 'r') goto yy537;
			goto yy55;
		}
	}
yy364:
	yych = *++cur;
	if (yych == 'G') goto yy538;
	if (yych == 'g') goto yy538;
	goto yy55;
yy365:
	yych = *++cur;
	if (yych == 'M') goto yy539;
	if (yych == 'm') goto yy539;
	goto yy55;
yy366:
	yych = *++cur;
	if (yych == 'N') goto yy541;
	if (yych == 'n') goto yy541;
	goto yy55;
yy367:
	yych = *++cur;
	if (yych == 'E') goto yy543;
	if (yych == 'e') goto yy543;
	goto yy55;
yy368:
	yych = *++cur;
	if (yych == 'O') goto yy545;
	if (yych == 'o') goto yy545;
	goto yy55;
yy369:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 231 "tokenizer.re"
	{ KW(USE) }
#line 2905 "tokenizer.cpp"
yy371:
	yych = *++cur;
	if (yych == 'U') goto yy546;
	if (yych == 'u') goto yy546;
	goto yy55;
yy372:
	yych = *++cur;
	if (yych == 'A') goto yy547;
	if (yych == 'a') goto yy547;
	goto yy55;
yy373:
	yych = *++cur;
	if (yych == 'R') goto yy548;
	if (yych == 'r') goto yy548;
	goto yy55;
yy374:
	yych = *++cur;
	if (yych == 'L') goto yy549;
	if (yych == 'l') goto yy549;
	goto yy55;
yy375:
	yych = *++cur;
	if (yych == 'T') goto yy550;
	if (yych == 't') goto yy550;
	goto yy55;
yy376:
	yych = *++cur;
yy377:
	if (yybm[0+yych] & 128) {
		goto yy376;
	}
	if (yych == '"') goto yy551;
	goto yy79;
yy378:
	yych = *++cur;
yy379:
	if (yych <= '/') {
		if (yych == '\'') goto yy553;
		goto yy79;
	} else {
		if (yych <= '9') goto yy378;
		if (yych <= '`') goto yy79;
		if (yych <= 'f') goto yy378;
		goto yy79;
	}
yy380:
	++cur;
	cur = ctxmar;
#line 250 "tokenizer.re"
	{ RET(TK_LPAREN) }
#line 2956 "tokenizer.cpp"
yy382:
	++cur;
	cur = ctxmar;
#line 248 "tokenizer.re"
	{ RET(TK_LPAREN) }
#line 2962 "tokenizer.cpp"
yy384:
	yych = *++cur;
	if (yych <= '/') goto yy108;
	if (yych <= '9') goto yy384;
	goto yy108;
yy386:
	yych = *++cur;
	if (yych <= 'Z') {
		if (yych <= '/') goto yy108;
		if (yych <= '9') goto yy386;
		if (yych <= '@') goto yy108;
		goto yy386;
	} else {
		if (yych <= '_') {
			if (yych <= '^') goto yy108;
			goto yy386;
		} else {
			if (yych <= '`') goto yy108;
			if (yych <= 'z') goto yy386;
			goto yy108;
		}
	}
yy388:
	yych = *++cur;
	if (yych == '.') goto yy555;
	goto yy79;
yy389:
	yych = *++cur;
	if (yych == '.') goto yy557;
	goto yy79;
yy390:
	yych = *++cur;
	if (yych == 'S') goto yy559;
	if (yych == 's') goto yy559;
	goto yy79;
yy391:
	++cur;
	goto yy45;
yy392:
	++cur;
	goto yy41;
yy393:
	yych = *++cur;
	if (yych == 'V') goto yy560;
	if (yych == 'v') goto yy560;
	goto yy79;
yy394:
	yych = *++cur;
	if (yych == '.') goto yy561;
	goto yy79;
yy395:
	++cur;
#line 284 "tokenizer.re"
	{ RET(TK_OR) }
#line 3017 "tokenizer.cpp"
yy397:
	yych = *++cur;
	if (yych == 'E') goto yy563;
	if (yych == 'e') goto yy563;
	goto yy79;
yy398:
	yych = *++cur;
	if (yych == '.') goto yy555;
	goto yy119;
yy399:
	yych = *++cur;
	if (yych == '.') goto yy557;
	goto yy119;
yy400:
	yych = *++cur;
	if (yych == 'S') goto yy559;
	if (yych == 's') goto yy564;
	goto yy119;
yy401:
	yych = *++cur;
	if (yych == 'V') goto yy560;
	if (yych == 'v') goto yy565;
	goto yy119;
yy402:
	yych = *++cur;
	if (yych == '.') goto yy561;
	goto yy119;
yy403:
	yych = *++cur;
	if (yych == 'E') goto yy563;
	if (yych == 'e') goto yy566;
	goto yy119;
yy404:
	++cur;
	cur = ctxmar;
#line 298 "tokenizer.re"
	{
                if (lex_dec(tok, cur, u)) {
                    yylval.n = u;
                    RET(TK_INTEGER)
                } else {
                    token_loc(loc);
                    std::string t = token();
                    throw LFortran::TokenizerError("Integer too large",
                        loc, t);
                }
            }
#line 3065 "tokenizer.cpp"
yy406:
	yych = *++cur;
	if (yych <= '`') goto yy79;
	if (yych <= 'z') goto yy259;
	goto yy79;
yy407:
	yych = *++cur;
	if (yych == 'R') goto yy567;
	if (yych == 'r') goto yy567;
	goto yy55;
yy408:
	yych = *++cur;
	if (yych == 'C') goto yy568;
	if (yych == 'c') goto yy568;
	goto yy55;
yy409:
	yych = *++cur;
	if (yych == 'G') goto yy569;
	if (yych == 'g') goto yy569;
	goto yy55;
yy410:
	yych = *++cur;
	if (yych == 'C') goto yy570;
	if (yych == 'c') goto yy570;
	goto yy55;
yy411:
	yych = *++cur;
	if (yych == 'C') goto yy571;
	if (yych == 'c') goto yy571;
	goto yy55;
yy412:
	++cur;
#line 324 "tokenizer.re"
	{ token(yylval.string); RET(TK_BOZ_CONSTANT) }
#line 3100 "tokenizer.cpp"
yy414:
	++cur;
#line 325 "tokenizer.re"
	{ token(yylval.string); RET(TK_BOZ_CONSTANT) }
#line 3105 "tokenizer.cpp"
yy416:
	yych = *++cur;
	if (yych == 'S') goto yy572;
	if (yych == 's') goto yy572;
	goto yy55;
yy417:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 104 "tokenizer.re"
	{ KW(BIND) }
#line 3119 "tokenizer.cpp"
yy419:
	yych = *++cur;
	if (yych == 'K') goto yy573;
	if (yych == 'k') goto yy573;
	goto yy55;
yy420:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 106 "tokenizer.re"
	{ KW(CALL) }
#line 3133 "tokenizer.cpp"
yy422:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 107 "tokenizer.re"
	{ KW(CASE) }
#line 3142 "tokenizer.cpp"
yy424:
	yych = *++cur;
	if (yych == 'A') goto yy575;
	if (yych == 'a') goto yy575;
	goto yy55;
yy425:
	yych = *++cur;
	if (yych == 'S') goto yy576;
	if (yych == 's') goto yy576;
	goto yy55;
yy426:
	yych = *++cur;
	if (yych == 'E') goto yy578;
	if (yych == 'e') goto yy578;
	goto yy55;
yy427:
	yych = *++cur;
	if (yych == 'M') goto yy580;
	if (yych == 'm') goto yy580;
	goto yy55;
yy428:
	yych = *++cur;
	if (yych == 'O') goto yy581;
	if (yych == 'o') goto yy581;
	goto yy55;
yy429:
	yych = *++cur;
	if (yych == 'L') goto yy582;
	if (yych == 'l') goto yy582;
	goto yy55;
yy430:
	yych = *++cur;
	if (yych == 'U') goto yy583;
	if (yych == 'u') goto yy583;
	goto yy55;
yy431:
	yych = *++cur;
	if (yych <= 'I') {
		if (yych == 'A') goto yy584;
		if (yych <= 'H') goto yy55;
		goto yy585;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy55;
			goto yy584;
		} else {
			if (yych == 'i') goto yy585;
			goto yy55;
		}
	}
yy432:
	yych = *++cur;
	if (yych == 'I') goto yy586;
	if (yych == 'i') goto yy586;
	goto yy55;
yy433:
	yych = *++cur;
	if (yych == 'E') goto yy587;
	if (yych == 'e') goto yy587;
	goto yy55;
yy434:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 120 "tokenizer.re"
	{ KW(DATA) }
#line 3211 "tokenizer.cpp"
yy436:
	yych = *++cur;
	if (yych == 'L') goto yy589;
	if (yych == 'l') goto yy589;
	goto yy55;
yy437:
	yych = *++cur;
	if (yych == 'U') goto yy590;
	if (yych == 'u') goto yy590;
	goto yy55;
yy438:
	yych = *++cur;
	if (yych == 'R') goto yy591;
	if (yych == 'r') goto yy591;
	goto yy55;
yy439:
	yych = *++cur;
	if (yych == 'N') goto yy592;
	if (yych == 'n') goto yy592;
	goto yy55;
yy440:
	yych = *++cur;
	if (yych == 'L') goto yy593;
	if (yych == 'l') goto yy593;
	goto yy55;
yy441:
	yych = *++cur;
	if (yych == 'I') goto yy594;
	if (yych == 'i') goto yy594;
	goto yy55;
yy442:
	yych = *++cur;
	if (yych == 'E') goto yy595;
	if (yych == 'e') goto yy595;
	goto yy55;
yy443:
	yych = *++cur;
	if (yybm[0+yych] & 8) {
		goto yy149;
	}
	if (yych <= 'W') {
		if (yych <= '@') {
			if (yych <= '/') goto yy444;
			if (yych <= '9') goto yy54;
		} else {
			if (yych == 'I') goto yy596;
			if (yych <= 'V') goto yy54;
			goto yy597;
		}
	} else {
		if (yych <= 'i') {
			if (yych <= 'Z') goto yy54;
			if (yych <= '`') goto yy444;
			if (yych <= 'h') goto yy54;
			goto yy596;
		} else {
			if (yych == 'w') goto yy597;
			if (yych <= 'z') goto yy54;
		}
	}
yy444:
#line 129 "tokenizer.re"
	{ KW(ELSE) }
#line 3275 "tokenizer.cpp"
yy445:
	yych = *++cur;
	if (yych <= 'F') {
		if (yych <= '\r') {
			if (yych <= '\n') {
				if (yych == '\t') goto yy445;
				goto yy79;
			} else {
				if (yych == '\f') goto yy79;
				goto yy445;
			}
		} else {
			if (yych <= 'C') {
				if (yych == ' ') goto yy445;
				goto yy79;
			} else {
				if (yych <= 'D') goto yy598;
				if (yych <= 'E') goto yy79;
				goto yy599;
			}
		}
	} else {
		if (yych <= 'd') {
			if (yych <= 'V') {
				if (yych == 'I') goto yy600;
				goto yy79;
			} else {
				if (yych <= 'W') goto yy601;
				if (yych <= 'c') goto yy79;
				goto yy598;
			}
		} else {
			if (yych <= 'h') {
				if (yych == 'f') goto yy599;
				goto yy79;
			} else {
				if (yych <= 'i') goto yy600;
				if (yych == 'w') goto yy601;
				goto yy79;
			}
		}
	}
yy447:
	yych = *++cur;
	if (yych == 'O') goto yy602;
	if (yych == 'o') goto yy602;
	goto yy55;
yy448:
	yych = *++cur;
	if (yych == 'O') goto yy604;
	if (yych == 'o') goto yy604;
	goto yy55;
yy449:
	yych = *++cur;
	if (yych <= 'N') {
		if (yych == 'F') goto yy605;
		if (yych <= 'M') goto yy55;
		goto yy607;
	} else {
		if (yych <= 'f') {
			if (yych <= 'e') goto yy55;
			goto yy605;
		} else {
			if (yych == 'n') goto yy607;
			goto yy55;
		}
	}
yy450:
	yych = *++cur;
	if (yych == 'H') goto yy608;
	if (yych == 'h') goto yy608;
	goto yy55;
yy451:
	yych = *++cur;
	if (yych == 'Y') goto yy609;
	if (yych == 'y') goto yy609;
	goto yy55;
yy452:
	yych = *++cur;
	if (yybm[0+yych] & 8) {
		goto yy149;
	}
	if (yych <= 'E') {
		if (yych <= '9') {
			if (yych >= '0') goto yy54;
		} else {
			if (yych <= '@') goto yy453;
			if (yych <= 'D') goto yy54;
			goto yy611;
		}
	} else {
		if (yych <= 'd') {
			if (yych <= 'Z') goto yy54;
			if (yych >= 'a') goto yy54;
		} else {
			if (yych <= 'e') goto yy611;
			if (yych <= 'z') goto yy54;
		}
	}
yy453:
#line 144 "tokenizer.re"
	{ KW(ENUM) }
#line 3378 "tokenizer.cpp"
yy454:
	yych = *++cur;
	if (yych == 'V') goto yy612;
	if (yych == 'v') goto yy612;
	goto yy55;
yy455:
	yych = *++cur;
	if (yych == 'S') goto yy613;
	if (yych == 's') goto yy613;
	goto yy55;
yy456:
	yych = *++cur;
	if (yych == 'R') goto yy614;
	if (yych == 'r') goto yy614;
	goto yy55;
yy457:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 149 "tokenizer.re"
	{ KW(EXIT) }
#line 3402 "tokenizer.cpp"
yy459:
	yych = *++cur;
	if (yych <= 'R') {
		if (yych == 'N') goto yy616;
		if (yych <= 'Q') goto yy55;
		goto yy617;
	} else {
		if (yych <= 'n') {
			if (yych <= 'm') goto yy55;
			goto yy616;
		} else {
			if (yych == 'r') goto yy617;
			goto yy55;
		}
	}
yy460:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 152 "tokenizer.re"
	{ KW(FILE) }
#line 3426 "tokenizer.cpp"
yy462:
	yych = *++cur;
	if (yych == 'L') goto yy618;
	if (yych == 'l') goto yy618;
	goto yy55;
yy463:
	yych = *++cur;
	if (yych == 'H') goto yy620;
	if (yych == 'h') goto yy620;
	goto yy55;
yy464:
	yych = *++cur;
	if (yych == 'L') goto yy622;
	if (yych == 'l') goto yy622;
	goto yy55;
yy465:
	yych = *++cur;
	if (yych == 'A') goto yy623;
	if (yych == 'a') goto yy623;
	goto yy55;
yy466:
	yych = *++cur;
	if (yych == 'T') goto yy624;
	if (yych == 't') goto yy624;
	goto yy55;
yy467:
	yych = *++cur;
	if (yych == 'R') goto yy625;
	if (yych == 'r') goto yy625;
	goto yy55;
yy468:
	yych = *++cur;
	if (yych == 'I') goto yy626;
	if (yych == 'i') goto yy626;
	goto yy55;
yy469:
	yych = *++cur;
	if (yych == 'R') goto yy627;
	if (yych == 'r') goto yy627;
	goto yy55;
yy470:
	yych = *++cur;
	if (yych == 'R') goto yy628;
	if (yych == 'r') goto yy628;
	goto yy55;
yy471:
	yych = *++cur;
	if (yych == 'U') goto yy629;
	if (yych == 'u') goto yy629;
	goto yy79;
yy472:
	yych = *++cur;
	if (yych == 'U') goto yy630;
	if (yych == 'u') goto yy630;
	goto yy55;
yy473:
	yych = *++cur;
	if (yych == 'T') goto yy631;
	if (yych == 't') goto yy631;
	goto yy55;
yy474:
	yych = *++cur;
	if (yych == 'I') goto yy633;
	if (yych == 'i') goto yy633;
	goto yy55;
yy475:
	yych = *++cur;
	if (yych <= 'R') {
		if (yych <= 'M') {
			if (yych == 'G') goto yy634;
			goto yy55;
		} else {
			if (yych <= 'N') goto yy635;
			if (yych <= 'Q') goto yy55;
			goto yy636;
		}
	} else {
		if (yych <= 'm') {
			if (yych == 'g') goto yy634;
			goto yy55;
		} else {
			if (yych <= 'n') goto yy635;
			if (yych == 'r') goto yy636;
			goto yy55;
		}
	}
yy476:
	yych = *++cur;
	if (yych == 'I') goto yy637;
	if (yych == 'i') goto yy637;
	goto yy55;
yy477:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 175 "tokenizer.re"
	{ KW(KIND) }
#line 3526 "tokenizer.cpp"
yy479:
	yych = *++cur;
	if (yych == 'L') goto yy638;
	if (yych == 'l') goto yy638;
	goto yy55;
yy480:
	yych = *++cur;
	if (yych == 'C') goto yy640;
	if (yych == 'c') goto yy640;
	goto yy55;
yy481:
	yych = *++cur;
	if (yych == 'L') goto yy641;
	if (yych == 'l') goto yy641;
	goto yy55;
yy482:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 181 "tokenizer.re"
	{ KW(MOLD) }
#line 3550 "tokenizer.cpp"
yy484:
	yych = *++cur;
	if (yybm[0+yych] & 8) {
		goto yy149;
	}
	if (yych <= 'L') {
		if (yych <= '9') {
			if (yych >= '0') goto yy54;
		} else {
			if (yych <= '@') goto yy485;
			if (yych <= 'K') goto yy54;
			goto yy642;
		}
	} else {
		if (yych <= 'k') {
			if (yych <= 'Z') goto yy54;
			if (yych >= 'a') goto yy54;
		} else {
			if (yych <= 'l') goto yy642;
			if (yych <= 'z') goto yy54;
		}
	}
yy485:
#line 182 "tokenizer.re"
	{ KW(NAME) }
#line 3576 "tokenizer.cpp"
yy486:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 188 "tokenizer.re"
	{ KW(NONE) }
#line 3585 "tokenizer.cpp"
yy488:
	yyaccept = 2;
	yych = *(mar = ++cur);
	if (yych <= 'O') {
		if (yych <= '\'') {
			if (yych == '"') goto yy82;
			if (yych <= '&') goto yy55;
			goto yy97;
		} else {
			if (yych == 'I') goto yy643;
			if (yych <= 'N') goto yy55;
			goto yy644;
		}
	} else {
		if (yych <= 'i') {
			if (yych == 'R') goto yy645;
			if (yych <= 'h') goto yy55;
			goto yy643;
		} else {
			if (yych <= 'o') {
				if (yych <= 'n') goto yy55;
				goto yy644;
			} else {
				if (yych == 'r') goto yy645;
				goto yy55;
			}
		}
	}
yy489:
	yych = *++cur;
	if (yych == 'S') goto yy646;
	if (yych == 's') goto yy646;
	goto yy55;
yy490:
	yych = *++cur;
	if (yych == 'I') goto yy647;
	if (yych == 'i') goto yy647;
	goto yy55;
yy491:
	++cur;
#line 326 "tokenizer.re"
	{ token(yylval.string); RET(TK_BOZ_CONSTANT) }
#line 3628 "tokenizer.cpp"
yy493:
	++cur;
#line 327 "tokenizer.re"
	{ token(yylval.string); RET(TK_BOZ_CONSTANT) }
#line 3633 "tokenizer.cpp"
yy495:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 190 "tokenizer.re"
	{ KW(ONLY) }
#line 3642 "tokenizer.cpp"
yy497:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 191 "tokenizer.re"
	{ KW(OPEN) }
#line 3651 "tokenizer.cpp"
yy499:
	yych = *++cur;
	if (yych == 'A') goto yy648;
	if (yych == 'a') goto yy648;
	goto yy55;
yy500:
	yych = *++cur;
	if (yych == 'O') goto yy649;
	if (yych == 'o') goto yy649;
	goto yy55;
yy501:
	yych = *++cur;
	if (yych == 'M') goto yy650;
	if (yych == 'm') goto yy650;
	goto yy55;
yy502:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 196 "tokenizer.re"
	{ KW(PASS) }
#line 3675 "tokenizer.cpp"
yy504:
	yych = *++cur;
	if (yych == 'T') goto yy651;
	if (yych == 't') goto yy651;
	goto yy55;
yy505:
	yych = *++cur;
	if (yych == 'I') goto yy652;
	if (yych == 'i') goto yy652;
	goto yy55;
yy506:
	yych = *++cur;
	if (yych == 'T') goto yy653;
	if (yych == 't') goto yy653;
	goto yy55;
yy507:
	yych = *++cur;
	if (yych == 'A') goto yy655;
	if (yych == 'a') goto yy655;
	goto yy55;
yy508:
	yych = *++cur;
	if (yych == 'E') goto yy656;
	if (yych == 'e') goto yy656;
	goto yy55;
yy509:
	yych = *++cur;
	if (yych == 'R') goto yy657;
	if (yych == 'r') goto yy657;
	goto yy55;
yy510:
	yych = *++cur;
	if (yych == 'E') goto yy658;
	if (yych == 'e') goto yy658;
	goto yy55;
yy511:
	yych = *++cur;
	if (yych == 'I') goto yy659;
	if (yych == 'i') goto yy659;
	goto yy55;
yy512:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 205 "tokenizer.re"
	{ KW(PURE) }
#line 3724 "tokenizer.cpp"
yy514:
	yych = *++cur;
	if (yych == 'T') goto yy660;
	if (yych == 't') goto yy660;
	goto yy55;
yy515:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 207 "tokenizer.re"
	{ KW(RANK) }
#line 3738 "tokenizer.cpp"
yy517:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 208 "tokenizer.re"
	{ KW(READ) }
#line 3747 "tokenizer.cpp"
yy519:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 209 "tokenizer.re"
	{KW(REAL) }
#line 3756 "tokenizer.cpp"
yy521:
	yych = *++cur;
	if (yych == 'R') goto yy662;
	if (yych == 'r') goto yy662;
	goto yy55;
yy522:
	yych = *++cur;
	if (yych == 'C') goto yy663;
	if (yych == 'c') goto yy663;
	goto yy55;
yy523:
	yych = *++cur;
	if (yych == 'L') goto yy664;
	if (yych == 'l') goto yy664;
	goto yy55;
yy524:
	yych = *++cur;
	if (yych == 'R') goto yy665;
	if (yych == 'r') goto yy665;
	goto yy55;
yy525:
	yych = *++cur;
	if (yych == 'N') goto yy666;
	if (yych == 'n') goto yy666;
	goto yy55;
yy526:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 215 "tokenizer.re"
	{ KW(SAVE) }
#line 3790 "tokenizer.cpp"
yy528:
	yych = *++cur;
	if (yych == 'C') goto yy667;
	if (yych == 'c') goto yy667;
	goto yy55;
yy529:
	yych = *++cur;
	if (yych == 'E') goto yy668;
	if (yych == 'e') goto yy668;
	goto yy55;
yy530:
	yych = *++cur;
	if (yych == 'E') goto yy669;
	if (yych == 'e') goto yy669;
	goto yy55;
yy531:
	yych = *++cur;
	if (yych == 'C') goto yy670;
	if (yych == 'c') goto yy670;
	goto yy55;
yy532:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 220 "tokenizer.re"
	{ KW(STAT) }
#line 3819 "tokenizer.cpp"
yy534:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 221 "tokenizer.re"
	{ KW(STOP) }
#line 3828 "tokenizer.cpp"
yy536:
	yych = *++cur;
	if (yych == 'O') goto yy671;
	if (yych == 'o') goto yy671;
	goto yy55;
yy537:
	yych = *++cur;
	if (yych == 'O') goto yy672;
	if (yych == 'o') goto yy672;
	goto yy55;
yy538:
	yych = *++cur;
	if (yych == 'E') goto yy673;
	if (yych == 'e') goto yy673;
	goto yy55;
yy539:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy674;
#line 225 "tokenizer.re"
	{ KW(TEAM) }
#line 3852 "tokenizer.cpp"
yy541:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 227 "tokenizer.re"
	{ KW(THEN) }
#line 3861 "tokenizer.cpp"
yy543:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 229 "tokenizer.re"
	{ KW(TYPE) }
#line 3870 "tokenizer.cpp"
yy545:
	yych = *++cur;
	if (yych == 'R') goto yy675;
	if (yych == 'r') goto yy675;
	goto yy55;
yy546:
	yych = *++cur;
	if (yych == 'E') goto yy676;
	if (yych == 'e') goto yy676;
	goto yy55;
yy547:
	yych = *++cur;
	if (yych == 'T') goto yy678;
	if (yych == 't') goto yy678;
	goto yy55;
yy548:
	yych = *++cur;
	if (yych == 'E') goto yy679;
	if (yych == 'e') goto yy679;
	goto yy55;
yy549:
	yych = *++cur;
	if (yych == 'E') goto yy681;
	if (yych == 'e') goto yy681;
	goto yy55;
yy550:
	yych = *++cur;
	if (yych == 'E') goto yy683;
	if (yych == 'e') goto yy683;
	goto yy55;
yy551:
	++cur;
#line 328 "tokenizer.re"
	{ token(yylval.string); RET(TK_BOZ_CONSTANT) }
#line 3905 "tokenizer.cpp"
yy553:
	++cur;
#line 329 "tokenizer.re"
	{ token(yylval.string); RET(TK_BOZ_CONSTANT) }
#line 3910 "tokenizer.cpp"
yy555:
	++cur;
#line 283 "tokenizer.re"
	{ RET(TK_AND) }
#line 3915 "tokenizer.cpp"
yy557:
	++cur;
#line 285 "tokenizer.re"
	{ RET(TK_EQV) }
#line 3920 "tokenizer.cpp"
yy559:
	yych = *++cur;
	if (yych == 'E') goto yy685;
	if (yych == 'e') goto yy685;
	goto yy79;
yy560:
	yych = *++cur;
	if (yych == '.') goto yy686;
	goto yy79;
yy561:
	++cur;
#line 282 "tokenizer.re"
	{ RET(TK_NOT) }
#line 3934 "tokenizer.cpp"
yy563:
	yych = *++cur;
	if (yych == '.') goto yy688;
	goto yy79;
yy564:
	yych = *++cur;
	if (yych == 'E') goto yy685;
	if (yych == 'e') goto yy690;
	goto yy119;
yy565:
	yych = *++cur;
	if (yych == '.') goto yy686;
	goto yy119;
yy566:
	yych = *++cur;
	if (yych == '.') goto yy688;
	goto yy119;
yy567:
	yych = *++cur;
	if (yych == 'A') goto yy691;
	if (yych == 'a') goto yy691;
	goto yy55;
yy568:
	yych = *++cur;
	if (yych == 'A') goto yy692;
	if (yych == 'a') goto yy692;
	goto yy55;
yy569:
	yych = *++cur;
	if (yych == 'N') goto yy693;
	if (yych == 'n') goto yy693;
	goto yy55;
yy570:
	yych = *++cur;
	if (yych == 'I') goto yy694;
	if (yych == 'i') goto yy694;
	goto yy55;
yy571:
	yych = *++cur;
	if (yych == 'H') goto yy695;
	if (yych == 'h') goto yy695;
	goto yy55;
yy572:
	yych = *++cur;
	if (yych == 'P') goto yy696;
	if (yych == 'p') goto yy696;
	goto yy55;
yy573:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 105 "tokenizer.re"
	{ KW(BLOCK) }
#line 3990 "tokenizer.cpp"
yy575:
	yych = *++cur;
	if (yych == 'C') goto yy697;
	if (yych == 'c') goto yy697;
	goto yy55;
yy576:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 109 "tokenizer.re"
	{ KW(CLASS) }
#line 4004 "tokenizer.cpp"
yy578:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 110 "tokenizer.re"
	{ KW(CLOSE) }
#line 4013 "tokenizer.cpp"
yy580:
	yych = *++cur;
	if (yych == 'E') goto yy698;
	if (yych == 'e') goto yy698;
	goto yy55;
yy581:
	yych = *++cur;
	if (yych == 'N') goto yy699;
	if (yych == 'n') goto yy699;
	goto yy55;
yy582:
	yych = *++cur;
	if (yych == 'E') goto yy701;
	if (yych == 'e') goto yy701;
	goto yy55;
yy583:
	yych = *++cur;
	if (yych == 'R') goto yy702;
	if (yych == 'r') goto yy702;
	goto yy55;
yy584:
	yych = *++cur;
	if (yych == 'I') goto yy703;
	if (yych == 'i') goto yy703;
	goto yy55;
yy585:
	yych = *++cur;
	if (yych <= 'N') {
		if (yych == 'G') goto yy704;
		if (yych <= 'M') goto yy55;
		goto yy705;
	} else {
		if (yych <= 'g') {
			if (yych <= 'f') goto yy55;
			goto yy704;
		} else {
			if (yych == 'n') goto yy705;
			goto yy55;
		}
	}
yy586:
	yych = *++cur;
	if (yych == 'C') goto yy706;
	if (yych == 'c') goto yy706;
	goto yy55;
yy587:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 119 "tokenizer.re"
	{ KW(CYCLE) }
#line 4067 "tokenizer.cpp"
yy589:
	yych = *++cur;
	if (yych == 'O') goto yy707;
	if (yych == 'o') goto yy707;
	goto yy55;
yy590:
	yych = *++cur;
	if (yych == 'L') goto yy708;
	if (yych == 'l') goto yy708;
	goto yy55;
yy591:
	yych = *++cur;
	if (yych == 'R') goto yy709;
	if (yych == 'r') goto yy709;
	goto yy55;
yy592:
	yych = *++cur;
	if (yych == 'S') goto yy710;
	if (yych == 's') goto yy710;
	goto yy55;
yy593:
	yych = *++cur;
	if (yych == 'E') goto yy711;
	if (yych == 'e') goto yy711;
	goto yy55;
yy594:
	yych = *++cur;
	if (yych == 'L') goto yy713;
	if (yych == 'l') goto yy713;
	goto yy55;
yy595:
	yych = *++cur;
	if (yych == 'N') goto yy714;
	if (yych == 'n') goto yy714;
	goto yy55;
yy596:
	yych = *++cur;
	if (yych == 'F') goto yy715;
	if (yych == 'f') goto yy715;
	goto yy55;
yy597:
	yych = *++cur;
	if (yych == 'H') goto yy717;
	if (yych == 'h') goto yy717;
	goto yy55;
yy598:
	yych = *++cur;
	if (yych == 'O') goto yy718;
	if (yych == 'o') goto yy718;
	goto yy79;
yy599:
	yych = *++cur;
	if (yych == 'O') goto yy720;
	if (yych == 'o') goto yy720;
	goto yy79;
yy600:
	yych = *++cur;
	if (yych <= 'N') {
		if (yych == 'F') goto yy721;
		if (yych <= 'M') goto yy79;
		goto yy723;
	} else {
		if (yych <= 'f') {
			if (yych <= 'e') goto yy79;
			goto yy721;
		} else {
			if (yych == 'n') goto yy723;
			goto yy79;
		}
	}
yy601:
	yych = *++cur;
	if (yych == 'H') goto yy724;
	if (yych == 'h') goto yy724;
	goto yy79;
yy602:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 140 "tokenizer.re"
	{ KW(ENDDO) }
#line 4151 "tokenizer.cpp"
yy604:
	yych = *++cur;
	if (yych == 'R') goto yy725;
	if (yych == 'r') goto yy725;
	goto yy55;
yy605:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 136 "tokenizer.re"
	{ KW(ENDIF) }
#line 4165 "tokenizer.cpp"
yy607:
	yych = *++cur;
	if (yych == 'T') goto yy726;
	if (yych == 't') goto yy726;
	goto yy55;
yy608:
	yych = *++cur;
	if (yych == 'E') goto yy727;
	if (yych == 'e') goto yy727;
	goto yy55;
yy609:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 143 "tokenizer.re"
	{ KW(ENTRY) }
#line 4184 "tokenizer.cpp"
yy611:
	yych = *++cur;
	if (yych == 'R') goto yy728;
	if (yych == 'r') goto yy728;
	goto yy55;
yy612:
	yych = *++cur;
	if (yych == 'A') goto yy729;
	if (yych == 'a') goto yy729;
	goto yy55;
yy613:
	yych = *++cur;
	if (yych == 'G') goto yy730;
	if (yych == 'g') goto yy730;
	goto yy55;
yy614:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 148 "tokenizer.re"
	{ KW(ERROR) }
#line 4208 "tokenizer.cpp"
yy616:
	yych = *++cur;
	if (yych == 'D') goto yy732;
	if (yych == 'd') goto yy732;
	goto yy55;
yy617:
	yych = *++cur;
	if (yych == 'N') goto yy733;
	if (yych == 'n') goto yy733;
	goto yy55;
yy618:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 153 "tokenizer.re"
	{ KW(FINAL) }
#line 4227 "tokenizer.cpp"
yy620:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 154 "tokenizer.re"
	{ KW(FLUSH) }
#line 4236 "tokenizer.cpp"
yy622:
	yych = *++cur;
	if (yych == 'L') goto yy734;
	if (yych == 'l') goto yy734;
	goto yy55;
yy623:
	yych = *++cur;
	if (yych == 'T') goto yy736;
	if (yych == 't') goto yy736;
	goto yy55;
yy624:
	yych = *++cur;
	if (yych == 'I') goto yy738;
	if (yych == 'i') goto yy738;
	goto yy55;
yy625:
	yych = *++cur;
	if (yych == 'I') goto yy739;
	if (yych == 'i') goto yy739;
	goto yy55;
yy626:
	yych = *++cur;
	if (yych == 'C') goto yy740;
	if (yych == 'c') goto yy740;
	goto yy55;
yy627:
	yych = *++cur;
	if (yych == 'T') goto yy741;
	if (yych == 't') goto yy741;
	goto yy55;
yy628:
	yych = *++cur;
	if (yych == 'E') goto yy743;
	if (yych == 'e') goto yy743;
	goto yy55;
yy629:
	yych = *++cur;
	if (yych == 'T') goto yy745;
	if (yych == 't') goto yy745;
	goto yy79;
yy630:
	yych = *++cur;
	if (yych == 'D') goto yy747;
	if (yych == 'd') goto yy747;
	goto yy55;
yy631:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 167 "tokenizer.re"
	{ KW(INOUT) }
#line 4290 "tokenizer.cpp"
yy633:
	yych = *++cur;
	if (yych == 'R') goto yy748;
	if (yych == 'r') goto yy748;
	goto yy55;
yy634:
	yych = *++cur;
	if (yych == 'E') goto yy749;
	if (yych == 'e') goto yy749;
	goto yy55;
yy635:
	yych = *++cur;
	if (yych == 'T') goto yy750;
	if (yych == 't') goto yy750;
	goto yy55;
yy636:
	yych = *++cur;
	if (yych == 'F') goto yy752;
	if (yych == 'f') goto yy752;
	goto yy55;
yy637:
	yych = *++cur;
	if (yych == 'N') goto yy753;
	if (yych == 'n') goto yy753;
	goto yy55;
yy638:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy754;
#line 177 "tokenizer.re"
	{ KW(LOCAL) }
#line 4324 "tokenizer.cpp"
yy640:
	yych = *++cur;
	if (yych == 'A') goto yy755;
	if (yych == 'a') goto yy755;
	goto yy55;
yy641:
	yych = *++cur;
	if (yych == 'E') goto yy756;
	if (yych == 'e') goto yy756;
	goto yy55;
yy642:
	yych = *++cur;
	if (yych == 'I') goto yy758;
	if (yych == 'i') goto yy758;
	goto yy55;
yy643:
	yych = *++cur;
	if (yych == 'N') goto yy759;
	if (yych == 'n') goto yy759;
	goto yy55;
yy644:
	yych = *++cur;
	if (yych == 'V') goto yy760;
	if (yych == 'v') goto yy760;
	goto yy55;
yy645:
	yych = *++cur;
	if (yych == 'E') goto yy761;
	if (yych == 'e') goto yy761;
	goto yy55;
yy646:
	yych = *++cur;
	if (yych == 'S') goto yy762;
	if (yych == 's') goto yy762;
	goto yy55;
yy647:
	yych = *++cur;
	if (yych == 'F') goto yy764;
	if (yych == 'f') goto yy764;
	goto yy55;
yy648:
	yych = *++cur;
	if (yych == 'T') goto yy765;
	if (yych == 't') goto yy765;
	goto yy55;
yy649:
	yych = *++cur;
	if (yych == 'N') goto yy766;
	if (yych == 'n') goto yy766;
	goto yy55;
yy650:
	yych = *++cur;
	if (yych == 'E') goto yy767;
	if (yych == 'e') goto yy767;
	goto yy55;
yy651:
	yych = *++cur;
	if (yych == 'E') goto yy768;
	if (yych == 'e') goto yy768;
	goto yy55;
yy652:
	yych = *++cur;
	if (yych == 'S') goto yy769;
	if (yych == 's') goto yy769;
	goto yy55;
yy653:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 199 "tokenizer.re"
	{ KW(PRINT) }
#line 4398 "tokenizer.cpp"
yy655:
	yych = *++cur;
	if (yych == 'T') goto yy770;
	if (yych == 't') goto yy770;
	goto yy55;
yy656:
	yych = *++cur;
	if (yych == 'D') goto yy771;
	if (yych == 'd') goto yy771;
	goto yy55;
yy657:
	yych = *++cur;
	if (yych == 'A') goto yy772;
	if (yych == 'a') goto yy772;
	goto yy55;
yy658:
	yych = *++cur;
	if (yych == 'C') goto yy773;
	if (yych == 'c') goto yy773;
	goto yy55;
yy659:
	yych = *++cur;
	if (yych == 'C') goto yy774;
	if (yych == 'c') goto yy774;
	goto yy55;
yy660:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 206 "tokenizer.re"
	{ KW(QUIET) }
#line 4432 "tokenizer.cpp"
yy662:
	yych = *++cur;
	if (yych == 'S') goto yy776;
	if (yych == 's') goto yy776;
	goto yy55;
yy663:
	yych = *++cur;
	if (yych == 'E') goto yy777;
	if (yych == 'e') goto yy777;
	goto yy55;
yy664:
	yych = *++cur;
	if (yych == 'T') goto yy779;
	if (yych == 't') goto yy779;
	goto yy55;
yy665:
	yych = *++cur;
	if (yych == 'N') goto yy781;
	if (yych == 'n') goto yy781;
	goto yy55;
yy666:
	yych = *++cur;
	if (yych == 'D') goto yy783;
	if (yych == 'd') goto yy783;
	goto yy55;
yy667:
	yych = *++cur;
	if (yych == 'T') goto yy785;
	if (yych == 't') goto yy785;
	goto yy55;
yy668:
	yych = *++cur;
	if (yych == 'N') goto yy787;
	if (yych == 'n') goto yy787;
	goto yy55;
yy669:
	yych = *++cur;
	if (yych == 'D') goto yy788;
	if (yych == 'd') goto yy788;
	goto yy55;
yy670:
	yych = *++cur;
	if (yych == 'E') goto yy790;
	if (yych == 'e') goto yy790;
	goto yy55;
yy671:
	yych = *++cur;
	if (yych == 'D') goto yy792;
	if (yych == 'd') goto yy792;
	goto yy55;
yy672:
	yych = *++cur;
	if (yych == 'U') goto yy793;
	if (yych == 'u') goto yy793;
	goto yy55;
yy673:
	yych = *++cur;
	if (yych == 'T') goto yy794;
	if (yych == 't') goto yy794;
	goto yy55;
yy674:
	yyaccept = 2;
	yych = *(mar = ++cur);
	if (yych <= '\'') {
		if (yych == '"') goto yy82;
		if (yych <= '&') goto yy55;
		goto yy97;
	} else {
		if (yych <= 'N') {
			if (yych <= 'M') goto yy55;
			goto yy796;
		} else {
			if (yych == 'n') goto yy796;
			goto yy55;
		}
	}
yy675:
	yych = *++cur;
	if (yych == 'M') goto yy797;
	if (yych == 'm') goto yy797;
	goto yy55;
yy676:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 232 "tokenizer.re"
	{ KW(VALUE) }
#line 4522 "tokenizer.cpp"
yy678:
	yych = *++cur;
	if (yych == 'I') goto yy798;
	if (yych == 'i') goto yy798;
	goto yy55;
yy679:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 234 "tokenizer.re"
	{ KW(WHERE) }
#line 4536 "tokenizer.cpp"
yy681:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 235 "tokenizer.re"
	{ KW(WHILE) }
#line 4545 "tokenizer.cpp"
yy683:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 236 "tokenizer.re"
	{ KW(WRITE) }
#line 4554 "tokenizer.cpp"
yy685:
	yych = *++cur;
	if (yych == '.') goto yy799;
	goto yy79;
yy686:
	++cur;
#line 286 "tokenizer.re"
	{ RET(TK_NEQV) }
#line 4563 "tokenizer.cpp"
yy688:
	yyaccept = 10;
	yych = *(mar = ++cur);
	if (yych == '_') goto yy801;
yy689:
#line 290 "tokenizer.re"
	{ RET(TK_TRUE) }
#line 4571 "tokenizer.cpp"
yy690:
	yych = *++cur;
	if (yych == '.') goto yy799;
	goto yy119;
yy691:
	yych = *++cur;
	if (yych == 'C') goto yy802;
	if (yych == 'c') goto yy802;
	goto yy55;
yy692:
	yych = *++cur;
	if (yych == 'T') goto yy803;
	if (yych == 't') goto yy803;
	goto yy55;
yy693:
	yych = *++cur;
	if (yych == 'M') goto yy804;
	if (yych == 'm') goto yy804;
	goto yy55;
yy694:
	yych = *++cur;
	if (yych == 'A') goto yy805;
	if (yych == 'a') goto yy805;
	goto yy55;
yy695:
	yych = *++cur;
	if (yych == 'R') goto yy806;
	if (yych == 'r') goto yy806;
	goto yy55;
yy696:
	yych = *++cur;
	if (yych == 'A') goto yy807;
	if (yych == 'a') goto yy807;
	goto yy55;
yy697:
	yych = *++cur;
	if (yych == 'T') goto yy808;
	if (yych == 't') goto yy808;
	goto yy55;
yy698:
	yych = *++cur;
	if (yych == 'N') goto yy809;
	if (yych == 'n') goto yy809;
	goto yy55;
yy699:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 112 "tokenizer.re"
	{ KW(COMMON) }
#line 4624 "tokenizer.cpp"
yy701:
	yych = *++cur;
	if (yych == 'X') goto yy810;
	if (yych == 'x') goto yy810;
	goto yy55;
yy702:
	yych = *++cur;
	if (yych == 'R') goto yy812;
	if (yych == 'r') goto yy812;
	goto yy55;
yy703:
	yych = *++cur;
	if (yych == 'N') goto yy813;
	if (yych == 'n') goto yy813;
	goto yy55;
yy704:
	yych = *++cur;
	if (yych == 'U') goto yy814;
	if (yych == 'u') goto yy814;
	goto yy55;
yy705:
	yych = *++cur;
	if (yych == 'U') goto yy815;
	if (yych == 'u') goto yy815;
	goto yy55;
yy706:
	yych = *++cur;
	if (yych == 'A') goto yy816;
	if (yych == 'a') goto yy816;
	goto yy55;
yy707:
	yych = *++cur;
	if (yych == 'C') goto yy817;
	if (yych == 'c') goto yy817;
	goto yy55;
yy708:
	yych = *++cur;
	if (yych == 'T') goto yy818;
	if (yych == 't') goto yy818;
	goto yy55;
yy709:
	yych = *++cur;
	if (yych == 'E') goto yy820;
	if (yych == 'e') goto yy820;
	goto yy55;
yy710:
	yych = *++cur;
	if (yych == 'I') goto yy821;
	if (yych == 'i') goto yy821;
	goto yy55;
yy711:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 127 "tokenizer.re"
	{ KW(DOUBLE) }
#line 4683 "tokenizer.cpp"
yy713:
	yych = *++cur;
	if (yych == 'E') goto yy822;
	if (yych == 'e') goto yy822;
	goto yy55;
yy714:
	yych = *++cur;
	if (yych == 'T') goto yy824;
	if (yych == 't') goto yy824;
	goto yy55;
yy715:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 130 "tokenizer.re"
	{ KW(ELSEIF) }
#line 4702 "tokenizer.cpp"
yy717:
	yych = *++cur;
	if (yych == 'E') goto yy825;
	if (yych == 'e') goto yy825;
	goto yy55;
yy718:
	++cur;
#line 139 "tokenizer.re"
	{ KW(END_DO) }
#line 4712 "tokenizer.cpp"
yy720:
	yych = *++cur;
	if (yych == 'R') goto yy826;
	if (yych == 'r') goto yy826;
	goto yy79;
yy721:
	++cur;
#line 135 "tokenizer.re"
	{ KW(END_IF) }
#line 4722 "tokenizer.cpp"
yy723:
	yych = *++cur;
	if (yych == 'T') goto yy827;
	if (yych == 't') goto yy827;
	goto yy79;
yy724:
	yych = *++cur;
	if (yych == 'E') goto yy828;
	if (yych == 'e') goto yy828;
	goto yy79;
yy725:
	yych = *++cur;
	if (yych == 'A') goto yy829;
	if (yych == 'a') goto yy829;
	goto yy55;
yy726:
	yych = *++cur;
	if (yych == 'E') goto yy830;
	if (yych == 'e') goto yy830;
	goto yy55;
yy727:
	yych = *++cur;
	if (yych == 'R') goto yy831;
	if (yych == 'r') goto yy831;
	goto yy55;
yy728:
	yych = *++cur;
	if (yych == 'A') goto yy832;
	if (yych == 'a') goto yy832;
	goto yy55;
yy729:
	yych = *++cur;
	if (yych == 'L') goto yy833;
	if (yych == 'l') goto yy833;
	goto yy55;
yy730:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 147 "tokenizer.re"
	{ KW(ERRMSG) }
#line 4766 "tokenizer.cpp"
yy732:
	yych = *++cur;
	if (yych == 'S') goto yy834;
	if (yych == 's') goto yy834;
	goto yy55;
yy733:
	yych = *++cur;
	if (yych == 'A') goto yy836;
	if (yych == 'a') goto yy836;
	goto yy55;
yy734:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 155 "tokenizer.re"
	{ KW(FORALL) }
#line 4785 "tokenizer.cpp"
yy736:
	yych = *++cur;
	if (yybm[0+yych] & 8) {
		goto yy149;
	}
	if (yych <= 'T') {
		if (yych <= '9') {
			if (yych >= '0') goto yy54;
		} else {
			if (yych <= '@') goto yy737;
			if (yych <= 'S') goto yy54;
			goto yy837;
		}
	} else {
		if (yych <= 's') {
			if (yych <= 'Z') goto yy54;
			if (yych >= 'a') goto yy54;
		} else {
			if (yych <= 't') goto yy837;
			if (yych <= 'z') goto yy54;
		}
	}
yy737:
#line 156 "tokenizer.re"
	{ KW(FORMAT) }
#line 4811 "tokenizer.cpp"
yy738:
	yych = *++cur;
	if (yych == 'O') goto yy838;
	if (yych == 'o') goto yy838;
	goto yy55;
yy739:
	yych = *++cur;
	if (yych == 'C') goto yy839;
	if (yych == 'c') goto yy839;
	goto yy55;
yy740:
	yych = *++cur;
	if (yych == 'I') goto yy841;
	if (yych == 'i') goto yy841;
	goto yy55;
yy741:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 163 "tokenizer.re"
	{ KW(IMPORT) }
#line 4835 "tokenizer.cpp"
yy743:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 164 "tokenizer.re"
	{ KW(IMPURE) }
#line 4844 "tokenizer.cpp"
yy745:
	++cur;
#line 168 "tokenizer.re"
	{ KW(IN_OUT) }
#line 4849 "tokenizer.cpp"
yy747:
	yych = *++cur;
	if (yych == 'E') goto yy842;
	if (yych == 'e') goto yy842;
	goto yy55;
yy748:
	yych = *++cur;
	if (yych == 'E') goto yy844;
	if (yych == 'e') goto yy844;
	goto yy55;
yy749:
	yych = *++cur;
	if (yych == 'R') goto yy846;
	if (yych == 'r') goto yy846;
	goto yy55;
yy750:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 171 "tokenizer.re"
	{ KW(INTENT) }
#line 4873 "tokenizer.cpp"
yy752:
	yych = *++cur;
	if (yych == 'A') goto yy848;
	if (yych == 'a') goto yy848;
	goto yy55;
yy753:
	yych = *++cur;
	if (yych == 'S') goto yy849;
	if (yych == 's') goto yy849;
	goto yy55;
yy754:
	yyaccept = 2;
	yych = *(mar = ++cur);
	if (yych <= '\'') {
		if (yych == '"') goto yy82;
		if (yych <= '&') goto yy55;
		goto yy97;
	} else {
		if (yych <= 'I') {
			if (yych <= 'H') goto yy55;
			goto yy850;
		} else {
			if (yych == 'i') goto yy850;
			goto yy55;
		}
	}
yy755:
	yych = *++cur;
	if (yych == 'L') goto yy851;
	if (yych == 'l') goto yy851;
	goto yy55;
yy756:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 180 "tokenizer.re"
	{ KW(MODULE) }
#line 4913 "tokenizer.cpp"
yy758:
	yych = *++cur;
	if (yych == 'S') goto yy853;
	if (yych == 's') goto yy853;
	goto yy55;
yy759:
	yych = *++cur;
	if (yych == 'T') goto yy854;
	if (yych == 't') goto yy854;
	goto yy55;
yy760:
	yych = *++cur;
	if (yych == 'E') goto yy855;
	if (yych == 'e') goto yy855;
	goto yy55;
yy761:
	yych = *++cur;
	if (yych == 'C') goto yy856;
	if (yych == 'c') goto yy856;
	goto yy55;
yy762:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 184 "tokenizer.re"
	{ KW(NOPASS) }
#line 4942 "tokenizer.cpp"
yy764:
	yych = *++cur;
	if (yych == 'Y') goto yy857;
	if (yych == 'y') goto yy857;
	goto yy55;
yy765:
	yych = *++cur;
	if (yych == 'O') goto yy859;
	if (yych == 'o') goto yy859;
	goto yy55;
yy766:
	yych = *++cur;
	if (yych == 'A') goto yy860;
	if (yych == 'a') goto yy860;
	goto yy55;
yy767:
	yych = *++cur;
	if (yych == 'T') goto yy861;
	if (yych == 't') goto yy861;
	goto yy55;
yy768:
	yych = *++cur;
	if (yych == 'R') goto yy862;
	if (yych == 'r') goto yy862;
	goto yy55;
yy769:
	yych = *++cur;
	if (yych == 'I') goto yy864;
	if (yych == 'i') goto yy864;
	goto yy55;
yy770:
	yych = *++cur;
	if (yych == 'E') goto yy865;
	if (yych == 'e') goto yy865;
	goto yy55;
yy771:
	yych = *++cur;
	if (yych == 'U') goto yy867;
	if (yych == 'u') goto yy867;
	goto yy55;
yy772:
	yych = *++cur;
	if (yych == 'M') goto yy868;
	if (yych == 'm') goto yy868;
	goto yy55;
yy773:
	yych = *++cur;
	if (yych == 'T') goto yy870;
	if (yych == 't') goto yy870;
	goto yy55;
yy774:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 204 "tokenizer.re"
	{ KW(PUBLIC) }
#line 5001 "tokenizer.cpp"
yy776:
	yych = *++cur;
	if (yych == 'I') goto yy871;
	if (yych == 'i') goto yy871;
	goto yy55;
yy777:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 211 "tokenizer.re"
	{ KW(REDUCE) }
#line 5015 "tokenizer.cpp"
yy779:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 212 "tokenizer.re"
	{ KW(RESULT) }
#line 5024 "tokenizer.cpp"
yy781:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 213 "tokenizer.re"
	{ KW(RETURN) }
#line 5033 "tokenizer.cpp"
yy783:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 214 "tokenizer.re"
	{ KW(REWIND) }
#line 5042 "tokenizer.cpp"
yy785:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 216 "tokenizer.re"
	{ KW(SELECT) }
#line 5051 "tokenizer.cpp"
yy787:
	yych = *++cur;
	if (yych == 'C') goto yy872;
	if (yych == 'c') goto yy872;
	goto yy55;
yy788:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 218 "tokenizer.re"
	{ KW(SHARED) }
#line 5065 "tokenizer.cpp"
yy790:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 219 "tokenizer.re"
	{ KW(SOURCE) }
#line 5074 "tokenizer.cpp"
yy792:
	yych = *++cur;
	if (yych == 'U') goto yy873;
	if (yych == 'u') goto yy873;
	goto yy55;
yy793:
	yych = *++cur;
	if (yych == 'T') goto yy874;
	if (yych == 't') goto yy874;
	goto yy55;
yy794:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 224 "tokenizer.re"
	{ KW(TARGET) }
#line 5093 "tokenizer.cpp"
yy796:
	yych = *++cur;
	if (yych == 'U') goto yy875;
	if (yych == 'u') goto yy875;
	goto yy55;
yy797:
	yych = *++cur;
	if (yych == 'A') goto yy876;
	if (yych == 'a') goto yy876;
	goto yy55;
yy798:
	yych = *++cur;
	if (yych == 'L') goto yy877;
	if (yych == 'l') goto yy877;
	goto yy55;
yy799:
	yyaccept = 11;
	yych = *(mar = ++cur);
	if (yych == '_') goto yy878;
yy800:
#line 291 "tokenizer.re"
	{ RET(TK_FALSE) }
#line 5116 "tokenizer.cpp"
yy801:
	yych = *++cur;
	if (yych <= 'Z') {
		if (yych <= '/') goto yy79;
		if (yych <= '9') goto yy879;
		if (yych <= '@') goto yy79;
		goto yy881;
	} else {
		if (yych <= '_') {
			if (yych <= '^') goto yy79;
			goto yy881;
		} else {
			if (yych <= '`') goto yy79;
			if (yych <= 'z') goto yy881;
			goto yy79;
		}
	}
yy802:
	yych = *++cur;
	if (yych == 'T') goto yy883;
	if (yych == 't') goto yy883;
	goto yy55;
yy803:
	yych = *++cur;
	if (yych <= 'E') {
		if (yych == 'A') goto yy885;
		if (yych <= 'D') goto yy55;
		goto yy886;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy55;
			goto yy885;
		} else {
			if (yych == 'e') goto yy886;
			goto yy55;
		}
	}
yy804:
	yych = *++cur;
	if (yych == 'E') goto yy888;
	if (yych == 'e') goto yy888;
	goto yy55;
yy805:
	yych = *++cur;
	if (yych == 'T') goto yy889;
	if (yych == 't') goto yy889;
	goto yy55;
yy806:
	yych = *++cur;
	if (yych == 'O') goto yy890;
	if (yych == 'o') goto yy890;
	goto yy55;
yy807:
	yych = *++cur;
	if (yych == 'C') goto yy891;
	if (yych == 'c') goto yy891;
	goto yy55;
yy808:
	yych = *++cur;
	if (yych == 'E') goto yy892;
	if (yych == 'e') goto yy892;
	goto yy55;
yy809:
	yych = *++cur;
	if (yych == 'S') goto yy893;
	if (yych == 's') goto yy893;
	goto yy55;
yy810:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 113 "tokenizer.re"
	{ KW(COMPLEX) }
#line 5192 "tokenizer.cpp"
yy812:
	yych = *++cur;
	if (yych == 'E') goto yy894;
	if (yych == 'e') goto yy894;
	goto yy55;
yy813:
	yych = *++cur;
	if (yych == 'S') goto yy895;
	if (yych == 's') goto yy895;
	goto yy55;
yy814:
	yych = *++cur;
	if (yych == 'O') goto yy897;
	if (yych == 'o') goto yy897;
	goto yy55;
yy815:
	yych = *++cur;
	if (yych == 'E') goto yy898;
	if (yych == 'e') goto yy898;
	goto yy55;
yy816:
	yych = *++cur;
	if (yych == 'L') goto yy900;
	if (yych == 'l') goto yy900;
	goto yy55;
yy817:
	yych = *++cur;
	if (yych == 'A') goto yy902;
	if (yych == 'a') goto yy902;
	goto yy55;
yy818:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 122 "tokenizer.re"
	{ KW(DEFAULT) }
#line 5231 "tokenizer.cpp"
yy820:
	yych = *++cur;
	if (yych == 'D') goto yy903;
	if (yych == 'd') goto yy903;
	goto yy55;
yy821:
	yych = *++cur;
	if (yych == 'O') goto yy905;
	if (yych == 'o') goto yy905;
	goto yy55;
yy822:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 126 "tokenizer.re"
	{ KW(DOWHILE) }
#line 5250 "tokenizer.cpp"
yy824:
	yych = *++cur;
	if (yych == 'A') goto yy906;
	if (yych == 'a') goto yy906;
	goto yy55;
yy825:
	yych = *++cur;
	if (yych == 'R') goto yy907;
	if (yych == 'r') goto yy907;
	goto yy55;
yy826:
	yych = *++cur;
	if (yych == 'A') goto yy908;
	if (yych == 'a') goto yy908;
	goto yy79;
yy827:
	yych = *++cur;
	if (yych == 'E') goto yy909;
	if (yych == 'e') goto yy909;
	goto yy79;
yy828:
	yych = *++cur;
	if (yych == 'R') goto yy910;
	if (yych == 'r') goto yy910;
	goto yy79;
yy829:
	yych = *++cur;
	if (yych == 'L') goto yy911;
	if (yych == 'l') goto yy911;
	goto yy55;
yy830:
	yych = *++cur;
	if (yych == 'R') goto yy912;
	if (yych == 'r') goto yy912;
	goto yy55;
yy831:
	yych = *++cur;
	if (yych == 'E') goto yy913;
	if (yych == 'e') goto yy913;
	goto yy55;
yy832:
	yych = *++cur;
	if (yych == 'T') goto yy915;
	if (yych == 't') goto yy915;
	goto yy55;
yy833:
	yych = *++cur;
	if (yych == 'E') goto yy916;
	if (yych == 'e') goto yy916;
	goto yy55;
yy834:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 150 "tokenizer.re"
	{ KW(EXTENDS) }
#line 5309 "tokenizer.cpp"
yy836:
	yych = *++cur;
	if (yych == 'L') goto yy917;
	if (yych == 'l') goto yy917;
	goto yy55;
yy837:
	yych = *++cur;
	if (yych == 'E') goto yy919;
	if (yych == 'e') goto yy919;
	goto yy55;
yy838:
	yych = *++cur;
	if (yych == 'N') goto yy920;
	if (yych == 'n') goto yy920;
	goto yy55;
yy839:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 159 "tokenizer.re"
	{ KW(GENERIC) }
#line 5333 "tokenizer.cpp"
yy841:
	yych = *++cur;
	if (yych == 'T') goto yy922;
	if (yych == 't') goto yy922;
	goto yy55;
yy842:
	yyaccept = 12;
	yych = *(mar = ++cur);
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych <= '\f') {
		if (yych <= '\t') {
			if (yych >= '\t') goto yy924;
		} else {
			if (yych == '\v') goto yy924;
		}
	} else {
		if (yych <= ' ') {
			if (yych <= '\r') goto yy924;
			if (yych >= ' ') goto yy924;
		} else {
			if (yych == '_') goto yy149;
		}
	}
yy843:
#line 166 "tokenizer.re"
	{ KW(INCLUDE) }
#line 5362 "tokenizer.cpp"
yy844:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 169 "tokenizer.re"
	{ KW(INQUIRE) }
#line 5371 "tokenizer.cpp"
yy846:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 170 "tokenizer.re"
	{ KW(INTEGER) }
#line 5380 "tokenizer.cpp"
yy848:
	yych = *++cur;
	if (yych == 'C') goto yy926;
	if (yych == 'c') goto yy926;
	goto yy55;
yy849:
	yych = *++cur;
	if (yych == 'I') goto yy927;
	if (yych == 'i') goto yy927;
	goto yy55;
yy850:
	yych = *++cur;
	if (yych == 'N') goto yy928;
	if (yych == 'n') goto yy928;
	goto yy55;
yy851:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 179 "tokenizer.re"
	{ KW(LOGICAL) }
#line 5404 "tokenizer.cpp"
yy853:
	yych = *++cur;
	if (yych == 'T') goto yy929;
	if (yych == 't') goto yy929;
	goto yy55;
yy854:
	yych = *++cur;
	if (yych == 'R') goto yy931;
	if (yych == 'r') goto yy931;
	goto yy55;
yy855:
	yych = *++cur;
	if (yych == 'R') goto yy932;
	if (yych == 'r') goto yy932;
	goto yy55;
yy856:
	yych = *++cur;
	if (yych == 'U') goto yy933;
	if (yych == 'u') goto yy933;
	goto yy55;
yy857:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 189 "tokenizer.re"
	{ KW(NULLIFY) }
#line 5433 "tokenizer.cpp"
yy859:
	yych = *++cur;
	if (yych == 'R') goto yy934;
	if (yych == 'r') goto yy934;
	goto yy55;
yy860:
	yych = *++cur;
	if (yych == 'L') goto yy936;
	if (yych == 'l') goto yy936;
	goto yy55;
yy861:
	yych = *++cur;
	if (yych == 'E') goto yy938;
	if (yych == 'e') goto yy938;
	goto yy55;
yy862:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 197 "tokenizer.re"
	{ KW(POINTER) }
#line 5457 "tokenizer.cpp"
yy864:
	yych = *++cur;
	if (yych == 'O') goto yy939;
	if (yych == 'o') goto yy939;
	goto yy55;
yy865:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 200 "tokenizer.re"
	{ KW(PRIVATE) }
#line 5471 "tokenizer.cpp"
yy867:
	yych = *++cur;
	if (yych == 'R') goto yy940;
	if (yych == 'r') goto yy940;
	goto yy55;
yy868:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 202 "tokenizer.re"
	{ KW(PROGRAM) }
#line 5485 "tokenizer.cpp"
yy870:
	yych = *++cur;
	if (yych == 'E') goto yy941;
	if (yych == 'e') goto yy941;
	goto yy55;
yy871:
	yych = *++cur;
	if (yych == 'V') goto yy942;
	if (yych == 'v') goto yy942;
	goto yy55;
yy872:
	yych = *++cur;
	if (yych == 'E') goto yy943;
	if (yych == 'e') goto yy943;
	goto yy55;
yy873:
	yych = *++cur;
	if (yych == 'L') goto yy945;
	if (yych == 'l') goto yy945;
	goto yy55;
yy874:
	yych = *++cur;
	if (yych == 'I') goto yy946;
	if (yych == 'i') goto yy946;
	goto yy55;
yy875:
	yych = *++cur;
	if (yych == 'M') goto yy947;
	if (yych == 'm') goto yy947;
	goto yy55;
yy876:
	yych = *++cur;
	if (yych == 'T') goto yy948;
	if (yych == 't') goto yy948;
	goto yy55;
yy877:
	yych = *++cur;
	if (yych == 'E') goto yy949;
	if (yych == 'e') goto yy949;
	goto yy55;
yy878:
	yych = *++cur;
	if (yych <= 'Z') {
		if (yych <= '/') goto yy79;
		if (yych <= '9') goto yy951;
		if (yych <= '@') goto yy79;
		goto yy953;
	} else {
		if (yych <= '_') {
			if (yych <= '^') goto yy79;
			goto yy953;
		} else {
			if (yych <= '`') goto yy79;
			if (yych <= 'z') goto yy953;
			goto yy79;
		}
	}
yy879:
	yych = *++cur;
	if (yych <= '/') goto yy689;
	if (yych <= '9') goto yy879;
	goto yy689;
yy881:
	yych = *++cur;
	if (yych <= 'Z') {
		if (yych <= '/') goto yy689;
		if (yych <= '9') goto yy881;
		if (yych <= '@') goto yy689;
		goto yy881;
	} else {
		if (yych <= '_') {
			if (yych <= '^') goto yy689;
			goto yy881;
		} else {
			if (yych <= '`') goto yy689;
			if (yych <= 'z') goto yy881;
			goto yy689;
		}
	}
yy883:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 96 "tokenizer.re"
	{ KW(ABSTRACT) }
#line 5573 "tokenizer.cpp"
yy885:
	yych = *++cur;
	if (yych == 'B') goto yy955;
	if (yych == 'b') goto yy955;
	goto yy55;
yy886:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 99 "tokenizer.re"
	{ KW(ALLOCATE) }
#line 5587 "tokenizer.cpp"
yy888:
	yych = *++cur;
	if (yych == 'N') goto yy956;
	if (yych == 'n') goto yy956;
	goto yy55;
yy889:
	yych = *++cur;
	if (yych == 'E') goto yy957;
	if (yych == 'e') goto yy957;
	goto yy55;
yy890:
	yych = *++cur;
	if (yych == 'N') goto yy959;
	if (yych == 'n') goto yy959;
	goto yy55;
yy891:
	yych = *++cur;
	if (yych == 'E') goto yy960;
	if (yych == 'e') goto yy960;
	goto yy55;
yy892:
	yych = *++cur;
	if (yych == 'R') goto yy962;
	if (yych == 'r') goto yy962;
	goto yy55;
yy893:
	yych = *++cur;
	if (yych == 'I') goto yy964;
	if (yych == 'i') goto yy964;
	goto yy55;
yy894:
	yych = *++cur;
	if (yych == 'N') goto yy965;
	if (yych == 'n') goto yy965;
	goto yy55;
yy895:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 115 "tokenizer.re"
	{ KW(CONTAINS) }
#line 5631 "tokenizer.cpp"
yy897:
	yych = *++cur;
	if (yych == 'U') goto yy966;
	if (yych == 'u') goto yy966;
	goto yy55;
yy898:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 117 "tokenizer.re"
	{ KW(CONTINUE) }
#line 5645 "tokenizer.cpp"
yy900:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 118 "tokenizer.re"
	{ KW(CRITICAL) }
#line 5654 "tokenizer.cpp"
yy902:
	yych = *++cur;
	if (yych == 'T') goto yy967;
	if (yych == 't') goto yy967;
	goto yy55;
yy903:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 123 "tokenizer.re"
	{ KW(DEFERRED) }
#line 5668 "tokenizer.cpp"
yy905:
	yych = *++cur;
	if (yych == 'N') goto yy968;
	if (yych == 'n') goto yy968;
	goto yy55;
yy906:
	yych = *++cur;
	if (yych == 'L') goto yy970;
	if (yych == 'l') goto yy970;
	goto yy55;
yy907:
	yych = *++cur;
	if (yych == 'E') goto yy972;
	if (yych == 'e') goto yy972;
	goto yy55;
yy908:
	yych = *++cur;
	if (yych == 'L') goto yy974;
	if (yych == 'l') goto yy974;
	goto yy79;
yy909:
	yych = *++cur;
	if (yych == 'R') goto yy975;
	if (yych == 'r') goto yy975;
	goto yy79;
yy910:
	yych = *++cur;
	if (yych == 'E') goto yy976;
	if (yych == 'e') goto yy976;
	goto yy79;
yy911:
	yych = *++cur;
	if (yych == 'L') goto yy978;
	if (yych == 'l') goto yy978;
	goto yy55;
yy912:
	yych = *++cur;
	if (yych == 'F') goto yy980;
	if (yych == 'f') goto yy980;
	goto yy55;
yy913:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 142 "tokenizer.re"
	{ KW(ENDWHERE) }
#line 5717 "tokenizer.cpp"
yy915:
	yych = *++cur;
	if (yych == 'O') goto yy981;
	if (yych == 'o') goto yy981;
	goto yy55;
yy916:
	yych = *++cur;
	if (yych == 'N') goto yy982;
	if (yych == 'n') goto yy982;
	goto yy55;
yy917:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 151 "tokenizer.re"
	{ KW(EXTERNAL) }
#line 5736 "tokenizer.cpp"
yy919:
	yych = *++cur;
	if (yych == 'D') goto yy983;
	if (yych == 'd') goto yy983;
	goto yy55;
yy920:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 158 "tokenizer.re"
	{ KW(FUNCTION) }
#line 5750 "tokenizer.cpp"
yy922:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 162 "tokenizer.re"
	{ KW(IMPLICIT) }
#line 5759 "tokenizer.cpp"
yy924:
	yych = *++cur;
	if (yych <= '"') {
		if (yych <= '\f') {
			if (yych <= '\t') {
				if (yych <= 0x08) goto yy79;
				goto yy924;
			} else {
				if (yych == '\v') goto yy924;
				goto yy79;
			}
		} else {
			if (yych <= 0x1F) {
				if (yych <= '\r') goto yy924;
				goto yy79;
			} else {
				if (yych <= ' ') goto yy924;
				if (yych <= '!') goto yy79;
				goto yy985;
			}
		}
	} else {
		if (yych <= '@') {
			if (yych <= '\'') {
				if (yych <= '&') goto yy79;
				goto yy987;
			} else {
				if (yych <= '/') goto yy79;
				if (yych <= '9') goto yy989;
				goto yy79;
			}
		} else {
			if (yych <= '_') {
				if (yych <= 'Z') goto yy991;
				if (yych <= '^') goto yy79;
				goto yy991;
			} else {
				if (yych <= '`') goto yy79;
				if (yych <= 'z') goto yy991;
				goto yy79;
			}
		}
	}
yy926:
	yych = *++cur;
	if (yych == 'E') goto yy993;
	if (yych == 'e') goto yy993;
	goto yy55;
yy927:
	yych = *++cur;
	if (yych == 'C') goto yy995;
	if (yych == 'c') goto yy995;
	goto yy55;
yy928:
	yych = *++cur;
	if (yych == 'I') goto yy997;
	if (yych == 'i') goto yy997;
	goto yy55;
yy929:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 183 "tokenizer.re"
	{ KW(NAMELIST) }
#line 5826 "tokenizer.cpp"
yy931:
	yych = *++cur;
	if (yych == 'I') goto yy998;
	if (yych == 'i') goto yy998;
	goto yy55;
yy932:
	yych = *++cur;
	if (yych == 'R') goto yy999;
	if (yych == 'r') goto yy999;
	goto yy55;
yy933:
	yych = *++cur;
	if (yych == 'R') goto yy1000;
	if (yych == 'r') goto yy1000;
	goto yy55;
yy934:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 192 "tokenizer.re"
	{ KW(OPERATOR) }
#line 5850 "tokenizer.cpp"
yy936:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 193 "tokenizer.re"
	{ KW(OPTIONAL) }
#line 5859 "tokenizer.cpp"
yy938:
	yych = *++cur;
	if (yych == 'R') goto yy1001;
	if (yych == 'r') goto yy1001;
	goto yy55;
yy939:
	yych = *++cur;
	if (yych == 'N') goto yy1003;
	if (yych == 'n') goto yy1003;
	goto yy55;
yy940:
	yych = *++cur;
	if (yych == 'E') goto yy1005;
	if (yych == 'e') goto yy1005;
	goto yy55;
yy941:
	yych = *++cur;
	if (yych == 'D') goto yy1007;
	if (yych == 'd') goto yy1007;
	goto yy55;
yy942:
	yych = *++cur;
	if (yych == 'E') goto yy1009;
	if (yych == 'e') goto yy1009;
	goto yy55;
yy943:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 217 "tokenizer.re"
	{ KW(SEQUENCE) }
#line 5893 "tokenizer.cpp"
yy945:
	yych = *++cur;
	if (yych == 'E') goto yy1011;
	if (yych == 'e') goto yy1011;
	goto yy55;
yy946:
	yych = *++cur;
	if (yych == 'N') goto yy1013;
	if (yych == 'n') goto yy1013;
	goto yy55;
yy947:
	yych = *++cur;
	if (yych == 'B') goto yy1014;
	if (yych == 'b') goto yy1014;
	goto yy55;
yy948:
	yych = *++cur;
	if (yych == 'T') goto yy1015;
	if (yych == 't') goto yy1015;
	goto yy55;
yy949:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 233 "tokenizer.re"
	{ KW(VOLATILE) }
#line 5922 "tokenizer.cpp"
yy951:
	yych = *++cur;
	if (yych <= '/') goto yy800;
	if (yych <= '9') goto yy951;
	goto yy800;
yy953:
	yych = *++cur;
	if (yych <= 'Z') {
		if (yych <= '/') goto yy800;
		if (yych <= '9') goto yy953;
		if (yych <= '@') goto yy800;
		goto yy953;
	} else {
		if (yych <= '_') {
			if (yych <= '^') goto yy800;
			goto yy953;
		} else {
			if (yych <= '`') goto yy800;
			if (yych <= 'z') goto yy953;
			goto yy800;
		}
	}
yy955:
	yych = *++cur;
	if (yych == 'L') goto yy1016;
	if (yych == 'l') goto yy1016;
	goto yy55;
yy956:
	yych = *++cur;
	if (yych == 'T') goto yy1017;
	if (yych == 't') goto yy1017;
	goto yy55;
yy957:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 101 "tokenizer.re"
	{ KW(ASSOCIATE) }
#line 5963 "tokenizer.cpp"
yy959:
	yych = *++cur;
	if (yych == 'O') goto yy1019;
	if (yych == 'o') goto yy1019;
	goto yy55;
yy960:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 103 "tokenizer.re"
	{ KW(BACKSPACE) }
#line 5977 "tokenizer.cpp"
yy962:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 108 "tokenizer.re"
	{ KW(CHARACTER) }
#line 5986 "tokenizer.cpp"
yy964:
	yych = *++cur;
	if (yych == 'O') goto yy1020;
	if (yych == 'o') goto yy1020;
	goto yy55;
yy965:
	yych = *++cur;
	if (yych == 'T') goto yy1021;
	if (yych == 't') goto yy1021;
	goto yy55;
yy966:
	yych = *++cur;
	if (yych == 'S') goto yy1023;
	if (yych == 's') goto yy1023;
	goto yy55;
yy967:
	yych = *++cur;
	if (yych == 'E') goto yy1025;
	if (yych == 'e') goto yy1025;
	goto yy55;
yy968:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 124 "tokenizer.re"
	{ KW(DIMENSION) }
#line 6015 "tokenizer.cpp"
yy970:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 128 "tokenizer.re"
	{ KW(ELEMENTAL) }
#line 6024 "tokenizer.cpp"
yy972:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 131 "tokenizer.re"
	{ KW(ELSEWHERE) }
#line 6033 "tokenizer.cpp"
yy974:
	yych = *++cur;
	if (yych == 'L') goto yy1027;
	if (yych == 'l') goto yy1027;
	goto yy79;
yy975:
	yych = *++cur;
	if (yych == 'F') goto yy1029;
	if (yych == 'f') goto yy1029;
	goto yy79;
yy976:
	++cur;
#line 141 "tokenizer.re"
	{ KW(END_WHERE) }
#line 6048 "tokenizer.cpp"
yy978:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 134 "tokenizer.re"
	{ KW(ENDFORALL) }
#line 6057 "tokenizer.cpp"
yy980:
	yych = *++cur;
	if (yych == 'A') goto yy1030;
	if (yych == 'a') goto yy1030;
	goto yy55;
yy981:
	yych = *++cur;
	if (yych == 'R') goto yy1031;
	if (yych == 'r') goto yy1031;
	goto yy55;
yy982:
	yych = *++cur;
	if (yych == 'C') goto yy1033;
	if (yych == 'c') goto yy1033;
	goto yy55;
yy983:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 157 "tokenizer.re"
	{ KW(FORMATTED) }
#line 6081 "tokenizer.cpp"
yy985:
	yych = *++cur;
	if (yych <= 0x00) goto yy79;
	if (yych == '"') goto yy1034;
	goto yy985;
yy987:
	yych = *++cur;
	if (yych <= 0x00) goto yy79;
	if (yych == '\'') goto yy1036;
	goto yy987;
yy989:
	yych = *++cur;
	if (yych <= '/') goto yy79;
	if (yych <= '9') goto yy989;
	if (yych == '_') goto yy1038;
	goto yy79;
yy991:
	yych = *++cur;
	if (yych <= 'Z') {
		if (yych <= '/') goto yy79;
		if (yych <= '9') goto yy991;
		if (yych <= '@') goto yy79;
		goto yy991;
	} else {
		if (yych <= '_') {
			if (yych <= '^') goto yy79;
			goto yy1039;
		} else {
			if (yych <= '`') goto yy79;
			if (yych <= 'z') goto yy991;
			goto yy79;
		}
	}
yy993:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 172 "tokenizer.re"
	{ KW(INTERFACE) }
#line 6123 "tokenizer.cpp"
yy995:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 173 "tokenizer.re"
	{ KW(INTRINSIC) }
#line 6132 "tokenizer.cpp"
yy997:
	yych = *++cur;
	if (yych == 'T') goto yy1041;
	if (yych == 't') goto yy1041;
	goto yy55;
yy998:
	yych = *++cur;
	if (yych == 'N') goto yy1043;
	if (yych == 'n') goto yy1043;
	goto yy55;
yy999:
	yych = *++cur;
	if (yych == 'I') goto yy1044;
	if (yych == 'i') goto yy1044;
	goto yy55;
yy1000:
	yych = *++cur;
	if (yych == 'S') goto yy1045;
	if (yych == 's') goto yy1045;
	goto yy55;
yy1001:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 195 "tokenizer.re"
	{ KW(PARAMETER) }
#line 6161 "tokenizer.cpp"
yy1003:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 198 "tokenizer.re"
	{ KW(PRECISION) }
#line 6170 "tokenizer.cpp"
yy1005:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 201 "tokenizer.re"
	{ KW(PROCEDURE) }
#line 6179 "tokenizer.cpp"
yy1007:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 203 "tokenizer.re"
	{ KW(PROTECTED) }
#line 6188 "tokenizer.cpp"
yy1009:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 210 "tokenizer.re"
	{ KW(RECURSIVE) }
#line 6197 "tokenizer.cpp"
yy1011:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 222 "tokenizer.re"
	{ KW(SUBMODULE) }
#line 6206 "tokenizer.cpp"
yy1013:
	yych = *++cur;
	if (yych == 'E') goto yy1046;
	if (yych == 'e') goto yy1046;
	goto yy55;
yy1014:
	yych = *++cur;
	if (yych == 'E') goto yy1048;
	if (yych == 'e') goto yy1048;
	goto yy55;
yy1015:
	yych = *++cur;
	if (yych == 'E') goto yy1049;
	if (yych == 'e') goto yy1049;
	goto yy55;
yy1016:
	yych = *++cur;
	if (yych == 'E') goto yy1050;
	if (yych == 'e') goto yy1050;
	goto yy55;
yy1017:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 100 "tokenizer.re"
	{ KW(ASSIGNMENT) }
#line 6235 "tokenizer.cpp"
yy1019:
	yych = *++cur;
	if (yych == 'U') goto yy1052;
	if (yych == 'u') goto yy1052;
	goto yy55;
yy1020:
	yych = *++cur;
	if (yych == 'N') goto yy1053;
	if (yych == 'n') goto yy1053;
	goto yy55;
yy1021:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 114 "tokenizer.re"
	{ KW(CONCURRENT) }
#line 6254 "tokenizer.cpp"
yy1023:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 116 "tokenizer.re"
	{ KW(CONTIGUOUS) }
#line 6263 "tokenizer.cpp"
yy1025:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 121 "tokenizer.re"
	{ KW(DEALLOCATE) }
#line 6272 "tokenizer.cpp"
yy1027:
	++cur;
#line 133 "tokenizer.re"
	{ KW(END_FORALL) }
#line 6277 "tokenizer.cpp"
yy1029:
	yych = *++cur;
	if (yych == 'A') goto yy1055;
	if (yych == 'a') goto yy1055;
	goto yy79;
yy1030:
	yych = *++cur;
	if (yych == 'C') goto yy1056;
	if (yych == 'c') goto yy1056;
	goto yy55;
yy1031:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 145 "tokenizer.re"
	{ KW(ENUMERATOR) }
#line 6296 "tokenizer.cpp"
yy1033:
	yych = *++cur;
	if (yych == 'E') goto yy1057;
	if (yych == 'e') goto yy1057;
	goto yy55;
yy1034:
	yyaccept = 13;
	yych = *(mar = ++cur);
	if (yych == '"') goto yy985;
yy1035:
#line 341 "tokenizer.re"
	{ continue; }
#line 6309 "tokenizer.cpp"
yy1036:
	yyaccept = 14;
	yych = *(mar = ++cur);
	if (yych == '\'') goto yy987;
yy1037:
#line 342 "tokenizer.re"
	{ continue; }
#line 6317 "tokenizer.cpp"
yy1038:
	yych = *++cur;
	if (yych == '"') goto yy985;
	if (yych == '\'') goto yy987;
	goto yy79;
yy1039:
	yych = *++cur;
	if (yych <= '9') {
		if (yych <= '&') {
			if (yych == '"') goto yy985;
			goto yy79;
		} else {
			if (yych <= '\'') goto yy987;
			if (yych <= '/') goto yy79;
			goto yy991;
		}
	} else {
		if (yych <= '^') {
			if (yych <= '@') goto yy79;
			if (yych <= 'Z') goto yy991;
			goto yy79;
		} else {
			if (yych <= '_') goto yy1039;
			if (yych <= '`') goto yy79;
			if (yych <= 'z') goto yy991;
			goto yy79;
		}
	}
yy1041:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 178 "tokenizer.re"
	{ KW(LOCAL_INIT) }
#line 6354 "tokenizer.cpp"
yy1043:
	yych = *++cur;
	if (yych == 'S') goto yy1059;
	if (yych == 's') goto yy1059;
	goto yy55;
yy1044:
	yych = *++cur;
	if (yych == 'D') goto yy1060;
	if (yych == 'd') goto yy1060;
	goto yy55;
yy1045:
	yych = *++cur;
	if (yych == 'I') goto yy1061;
	if (yych == 'i') goto yy1061;
	goto yy55;
yy1046:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 223 "tokenizer.re"
	{ KW(SUBROUTINE) }
#line 6378 "tokenizer.cpp"
yy1048:
	yych = *++cur;
	if (yych == 'R') goto yy1062;
	if (yych == 'r') goto yy1062;
	goto yy55;
yy1049:
	yych = *++cur;
	if (yych == 'D') goto yy1064;
	if (yych == 'd') goto yy1064;
	goto yy55;
yy1050:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 98 "tokenizer.re"
	{ KW(ALLOCATABLE) }
#line 6397 "tokenizer.cpp"
yy1052:
	yych = *++cur;
	if (yych == 'S') goto yy1066;
	if (yych == 's') goto yy1066;
	goto yy55;
yy1053:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 111 "tokenizer.re"
	{ KW(CODIMENSION) }
#line 6411 "tokenizer.cpp"
yy1055:
	yych = *++cur;
	if (yych == 'C') goto yy1068;
	if (yych == 'c') goto yy1068;
	goto yy79;
yy1056:
	yych = *++cur;
	if (yych == 'E') goto yy1069;
	if (yych == 'e') goto yy1069;
	goto yy55;
yy1057:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 146 "tokenizer.re"
	{ KW(EQUIVALENCE) }
#line 6430 "tokenizer.cpp"
yy1059:
	yych = *++cur;
	if (yych == 'I') goto yy1071;
	if (yych == 'i') goto yy1071;
	goto yy55;
yy1060:
	yych = *++cur;
	if (yych == 'A') goto yy1072;
	if (yych == 'a') goto yy1072;
	goto yy55;
yy1061:
	yych = *++cur;
	if (yych == 'V') goto yy1073;
	if (yych == 'v') goto yy1073;
	goto yy55;
yy1062:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 226 "tokenizer.re"
	{ KW(TEAM_NUMBER) }
#line 6454 "tokenizer.cpp"
yy1064:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 230 "tokenizer.re"
	{ KW(UNFORMATTED) }
#line 6463 "tokenizer.cpp"
yy1066:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 102 "tokenizer.re"
	{ KW(ASYNCHRONOUS) }
#line 6472 "tokenizer.cpp"
yy1068:
	yych = *++cur;
	if (yych == 'E') goto yy1074;
	if (yych == 'e') goto yy1074;
	goto yy79;
yy1069:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 138 "tokenizer.re"
	{ KW(ENDINTERFACE) }
#line 6486 "tokenizer.cpp"
yy1071:
	yych = *++cur;
	if (yych == 'C') goto yy1076;
	if (yych == 'c') goto yy1076;
	goto yy55;
yy1072:
	yych = *++cur;
	if (yych == 'B') goto yy1078;
	if (yych == 'b') goto yy1078;
	goto yy55;
yy1073:
	yych = *++cur;
	if (yych == 'E') goto yy1079;
	if (yych == 'e') goto yy1079;
	goto yy55;
yy1074:
	++cur;
#line 137 "tokenizer.re"
	{ KW(END_INTERFACE) }
#line 6506 "tokenizer.cpp"
yy1076:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 185 "tokenizer.re"
	{ KW(NON_INTRINSIC) }
#line 6515 "tokenizer.cpp"
yy1078:
	yych = *++cur;
	if (yych == 'L') goto yy1081;
	if (yych == 'l') goto yy1081;
	goto yy55;
yy1079:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 187 "tokenizer.re"
	{ KW(NON_RECURSIVE) }
#line 6529 "tokenizer.cpp"
yy1081:
	yych = *++cur;
	if (yych == 'E') goto yy1082;
	if (yych != 'e') goto yy55;
yy1082:
	yych = *++cur;
	if (yybm[256+yych] & 32) {
		goto yy54;
	}
	if (yych == '_') goto yy149;
#line 186 "tokenizer.re"
	{ KW(NON_OVERRIDABLE) }
#line 6542 "tokenizer.cpp"
}
#line 349 "tokenizer.re"

    }
}

} // namespace LFortran
